Box2D: Box2D API Documentation

  • Main Page
  • Classes
  • Files

Box2D API Documentation

2.0.1

Getting Started

For tutorials please see http://www.box2d.org/manual.html

For discussion please visit http://www.box2d.org/forum

Generated on Sun Apr 13 15:21:27 2008 for Box2D by doxygen 1.5.4


Box2D: Class List

  • Alphabetical List
  • Class List
  • Class Hierarchy
  • Class Members

Box2D Class List

Here are the classes, structs, unions and interfaces with brief descriptions:
b2AABB | An axis aligned bounding box
b2Body | A rigid body
b2BodyDef | A body definition holds all the data needed to construct a rigid body
b2BoundaryListener | This is called when a body's shape passes outside of the world boundary
b2CircleDef | This structure is used to build circle shapes
b2CircleShape | A circle shape
b2Color | Color for debug drawing. Each value has the range [0,1]
b2Contact | The class manages contact between two shapes
b2ContactEdge | A contact edge is used to connect bodies and contacts together in a contact graph where each body is a node and each contact is an edge
b2ContactFilter | Implement this class to provide collision filtering
b2ContactID | Contact ids to facilitate warm starting
b2ContactID::Features | The features that intersect to form the contact point
b2ContactListener | Implement this class to get collision results
b2ContactPoint | This structure is used to report contact points
b2ContactResult | This structure is used to report contact point results
b2DebugDraw | Implement and register this class with a b2World to provide debug drawing of physics entities in your game
b2DestructionListener | Joints and shapes are destroyed when their associated body is destroyed
b2DistanceJoint | A distance joint constrains two points on two bodies to remain at a fixed distance from each other
b2DistanceJointDef | Distance joint definition
b2FilterData | This holds contact filtering data
b2GearJoint | A gear joint is used to connect two joints together
b2GearJointDef | Gear joint definition
b2Joint | The base joint class
b2JointDef | Joint definitions are used to construct joints
b2JointEdge | A joint edge is used to connect bodies and joints together in a joint graph where each body is a node and each joint is an edge
b2Manifold | A manifold for two touching convex shapes
b2ManifoldPoint | A manifold point is a contact point belonging to a contact manifold
b2MassData | This holds the mass data computed for a shape
b2Mat22 | A 2-by-2 matrix. Stored in column-major order
b2MouseJoint | A mouse joint is used to make a point on a body track a specified world point
b2MouseJointDef | Mouse joint definition
b2OBB | An oriented bounding box
b2PolygonDef | Convex polygon
b2PolygonShape | A convex polygon
b2PrismaticJoint | A prismatic joint
b2PrismaticJointDef | Prismatic joint definition
b2PulleyJoint | The pulley joint is connected to two bodies and two fixed ground points
b2PulleyJointDef | Pulley joint definition
b2RevoluteJoint | A revolute joint constrains to bodies to share a common point while they are free to rotate about the point
b2RevoluteJointDef | Revolute joint definition
b2Segment | A line segment
b2Shape | A shape is used for collision detection
b2ShapeDef | A shape definition is used to construct a shape
b2Sweep | This describes the motion of a body/shape for TOI computation
b2Vec2 | A 2D column vector
b2Version | Version numbering scheme
b2World | The world class manages all physics entities, dynamic simulation, and asynchronous queries
b2XForm | A transform contains translation and rotation


Box2D: b2AABB Struct Reference

  • Class Members

b2AABB Struct Reference

An axis aligned bounding box. More...

List of all members.

Public Member Functions

bool IsValid () const
Verify that the bounds are sorted.

Public Attributes

b2Vec2 lowerBound
the lower vertex
b2Vec2 upperBound
the upper vertex

Detailed Description

An axis aligned bounding box.
The documentation for this struct was generated from the following file:
  • b2Collision.h


Box2D: Member List

b2AABB Member List

This is the complete list of members for b2AABB, including all inherited members.

IsValid() const | b2AABB | [inline]
lowerBound | b2AABB |
upperBound | b2AABB |


Box2D: b2Body Class Reference

b2Body Class Reference

A rigid body. More...

List of all members.

Public Member Functions

b2Shape * | CreateShape (b2ShapeDef *shapeDef)
Creates a shape and attach it to this body.
void | DestroyShape (b2Shape *shape)
Destroy a shape.
void | SetMass (const b2MassData *massData)
Set the mass properties.
void | SetMassFromShapes ()
Compute the mass properties from the attached shapes.
bool | SetXForm (const b2Vec2 &position, float32 angle)
Set the position of the body's origin and rotation (radians).
const b2XForm & | GetXForm () const
Get the body transform for the body's origin.
const b2Vec2 & | GetPosition () const
Get the world body origin position.
float32 | GetAngle () const
Get the angle in radians.
const b2Vec2 & | GetWorldCenter () const
Get the world position of the center of mass.
const b2Vec2 & | GetLocalCenter () const
Get the local position of the center of mass.
void | SetLinearVelocity (const b2Vec2 &v)
Set the linear velocity of the center of mass.
b2Vec2 | GetLinearVelocity () const
Get the linear velocity of the center of mass.
void | SetAngularVelocity (float32 omega)
Set the angular velocity.
float32 | GetAngularVelocity () const
Get the angular velocity.
void | ApplyForce (const b2Vec2 &force, const b2Vec2 &point)
Apply a force at a world point.
void | ApplyTorque (float32 torque)
Apply a torque.
void | ApplyImpulse (const b2Vec2 &impulse, const b2Vec2 &point)
Apply an impulse at a point.
float32 | GetMass () const
Get the total mass of the body.
float32 | GetInertia () const
Get the central rotational inertia of the body.
b2Vec2 | GetWorldPoint (const b2Vec2 &localPoint) const
Get the world coordinates of a point given the local coordinates.
b2Vec2 | GetWorldVector (const b2Vec2 &localVector) const
Get the world coordinates of a vector given the local coordinates.
b2Vec2 | GetLocalPoint (const b2Vec2 &worldPoint) const
Gets a local point relative to the body's origin given a world point.
b2Vec2 | GetLocalVector (const b2Vec2 &worldVector) const
Gets a local vector given a world vector.
b2Vec2 | GetLinearVelocityFromWorldPoint (const b2Vec2 &worldPoint) const
Get the world linear velocity of a world point attached to this body.
b2Vec2 | GetLinearVelocityFromLocalPoint (const b2Vec2 &localPoint) const
Get the world velocity of a local point.
bool | IsBullet () const
Is this body treated like a bullet for continuous collision detection?
void | SetBullet (bool flag)
Should this body be treated like a bullet for continuous collision detection?
bool | IsStatic () const
Is this body static (immovable)?
bool | IsDynamic () const
Is this body dynamic (movable)?
bool | IsFrozen () const
Is this body frozen?
bool | IsSleeping () const
Is this body sleeping (not simulating).
void | AllowSleeping (bool flag)
You can disable sleeping on this body.
void | WakeUp ()
Wake up this body so it will begin simulating.
void | PutToSleep ()
Put this body to sleep so it will stop simulating.
b2Shape * GetShapeList ()
Get the list of all shapes attached to this body.
b2JointEdge * GetJointList ()
Get the list of all joints attached to this body.
b2Body * GetNext ()
Get the next body in the world's body list.
void * | GetUserData ()
Get the user data pointer that was provided in the body definition.
void | SetUserData (void *data)
Set the user data. Use this to store your application specific data.
b2World * GetWorld ()
Get the parent world of this body.

Friends

class | b2World
class | b2DistanceJoint
class | b2GearJoint
class | b2MouseJoint
class | b2PrismaticJoint
class | b2PulleyJoint
class | b2RevoluteJoint

Detailed Description

A rigid body.

Member Function Documentation

b2Shape * b2Body::CreateShape ( b2ShapeDef * shapeDef )

Creates a shape and attach it to this body.

Parameters:
shapeDef the shape definition.
Warning:
This function is locked during callbacks.

void b2Body::DestroyShape ( b2Shape * shape )

Destroy a shape.

This removes the shape from the broad-phase and therefore destroys any contacts associated with this shape. All shapes attached to a body are implicitly destroyed when the body is destroyed.

Parameters:
shape the shape to be removed.
Warning:
This function is locked during callbacks.

void b2Body::SetMass ( const b2MassData * massData )

Set the mass properties.

Note that this changes the center of mass position. If you are not sure how to compute mass properties, use SetMassFromShapes. The inertia tensor is assumed to be relative to the center of mass.

Parameters:
massData the mass properties.

void b2Body::SetMassFromShapes ( )

Compute the mass properties from the attached shapes.

You typically call this after adding all the shapes. If you add or remove shapes later, you may want to call this again. Note that this changes the center of mass position.

bool b2Body::SetXForm | ( | const b2Vec2 & | position,
 |  | float32 | angle
 | ) |  |

Set the position of the body's origin and rotation (radians).

This breaks any contacts and wakes the other bodies.

Parameters:
position | the new world position of the body's origin (not necessarily the center of mass).
angle | the new world rotation angle of the body in radians.
Returns:
false if the movement put a shape outside the world. In this case the body is automatically frozen.

const b2XForm & b2Body::GetXForm ( ) const [inline]

Get the body transform for the body's origin.

Returns:
the world transform of the body's origin.

const b2Vec2 & b2Body::GetPosition ( ) const [inline]

Get the world body origin position.

Returns:
the world position of the body's origin.

float32 b2Body::GetAngle ( ) const [inline]

Get the angle in radians.

Returns:
the current world rotation angle in radians.

void b2Body::SetLinearVelocity ( const b2Vec2 & v ) [inline]

Set the linear velocity of the center of mass.

Parameters:
v the new linear velocity of the center of mass.

b2Vec2 b2Body::GetLinearVelocity ( ) const [inline]

Get the linear velocity of the center of mass.

Returns:
the linear velocity of the center of mass.

void b2Body::SetAngularVelocity ( float32 omega ) [inline]

Set the angular velocity.

Parameters:
omega the new angular velocity in radians/second.

float32 b2Body::GetAngularVelocity ( ) const [inline]

Get the angular velocity.

Returns:
the angular velocity in radians/second.

void b2Body::ApplyForce | ( | const b2Vec2 & | force,
 |  | const b2Vec2 & | point |
 | ) |  |  | [inline]

Apply a force at a world point.

If the force is not applied at the center of mass, it will generate a torque and affect the angular velocity. This wakes up the body.

Parameters:
force | the world force vector, usually in Newtons (N).
point | the world position of the point of application.

void b2Body::ApplyTorque ( float32 torque ) [inline]

Apply a torque.

This affects the angular velocity without affecting the linear velocity of the center of mass. This wakes up the body.

Parameters:
torque about the z-axis (out of the screen), usually in N-m.

void b2Body::ApplyImpulse | ( | const b2Vec2 & | impulse,
 |  | const b2Vec2 & | point |
 | ) |  |  | [inline]

Apply an impulse at a point.

This immediately modifies the velocity. It also modifies the angular velocity if the point of application is not at the center of mass. This wakes up the body.

Parameters:
impulse | the world impulse vector, usually in N-seconds or kg-m/s.
point | the world position of the point of application.

float32 b2Body::GetMass ( ) const [inline]

Get the total mass of the body.

Returns:
the mass, usually in kilograms (kg).

float32 b2Body::GetInertia ( ) const [inline]

Get the central rotational inertia of the body.

Returns:
the rotational inertia, usually in kg-m^2.

b2Vec2 b2Body::GetWorldPoint ( const b2Vec2 & localPoint ) const [inline]

Get the world coordinates of a point given the local coordinates.

Parameters:
localPoint a point on the body measured relative the the body's origin.
Returns:
the same point expressed in world coordinates.

b2Vec2 b2Body::GetWorldVector ( const b2Vec2 & localVector ) const [inline]

Get the world coordinates of a vector given the local coordinates.

Parameters:
localVector a vector fixed in the body.
Returns:
the same vector expressed in world coordinates.

b2Vec2 b2Body::GetLocalPoint ( const b2Vec2 & worldPoint ) const [inline]

Gets a local point relative to the body's origin given a world point.

Parameters:
a point in world coordinates.
Returns:
the corresponding local point relative to the body's origin.

b2Vec2 b2Body::GetLocalVector ( const b2Vec2 & worldVector ) const [inline]

Gets a local vector given a world vector.

Parameters:
a vector in world coordinates.
Returns:
the corresponding local vector.

b2Vec2 b2Body::GetLinearVelocityFromWorldPoint ( const b2Vec2 & worldPoint ) const [inline]

Get the world linear velocity of a world point attached to this body.

Parameters:
a point in world coordinates.
Returns:
the world velocity of a point.

b2Vec2 b2Body::GetLinearVelocityFromLocalPoint ( const b2Vec2 & localPoint ) const [inline]

Get the world velocity of a local point.

Parameters:
a point in local coordinates.
Returns:
the world velocity of a point.

void b2Body::PutToSleep ( ) [inline]

Put this body to sleep so it will stop simulating.

This also sets the velocity to zero.

The documentation for this class was generated from the following files:
  • b2Body.h
  • b2Body.cpp


Box2D: Member List

b2Body Member List

This is the complete list of members for b2Body, including all inherited members.

AllowSleeping(bool flag) | b2Body | [inline]
ApplyForce(const b2Vec2 &force, const b2Vec2 &point) | b2Body | [inline]
ApplyImpulse(const b2Vec2 &impulse, const b2Vec2 &point) | b2Body | [inline]
ApplyTorque(float32 torque) | b2Body | [inline]
CreateShape(b2ShapeDef *shapeDef) | b2Body |
DestroyShape(b2Shape *shape) | b2Body |
GetAngle() const | b2Body | [inline]
GetAngularVelocity() const | b2Body | [inline]
GetInertia() const | b2Body | [inline]
GetJointList() | b2Body | [inline]
GetLinearVelocity() const | b2Body | [inline]
GetLinearVelocityFromLocalPoint(const b2Vec2 &localPoint) const | b2Body | [inline]
GetLinearVelocityFromWorldPoint(const b2Vec2 &worldPoint) const | b2Body | [inline]
GetLocalCenter() const | b2Body | [inline]
GetLocalPoint(const b2Vec2 &worldPoint) const | b2Body | [inline]
GetLocalVector(const b2Vec2 &worldVector) const | b2Body | [inline]
GetMass() const | b2Body | [inline]
GetNext() | b2Body | [inline]
GetPosition() const | b2Body | [inline]
GetShapeList() | b2Body | [inline]
GetUserData() | b2Body | [inline]
GetWorld() | b2Body | [inline]
GetWorldCenter() const | b2Body | [inline]
GetWorldPoint(const b2Vec2 &localPoint) const | b2Body | [inline]
GetWorldVector(const b2Vec2 &localVector) const | b2Body | [inline]
GetXForm() const | b2Body | [inline]
IsBullet() const | b2Body | [inline]
IsDynamic() const | b2Body | [inline]
IsFrozen() const | b2Body | [inline]
IsSleeping() const | b2Body | [inline]
IsStatic() const | b2Body | [inline]
PutToSleep() | b2Body | [inline]
SetAngularVelocity(float32 omega) | b2Body | [inline]
SetBullet(bool flag) | b2Body | [inline]
SetLinearVelocity(const b2Vec2 &v) | b2Body | [inline]
SetMass(const b2MassData *massData) | b2Body |
SetMassFromShapes() | b2Body |
SetUserData(void *data) | b2Body | [inline]
SetXForm(const b2Vec2 &position, float32 angle) | b2Body |
WakeUp() | b2Body | [inline]


Box2D: b2BodyDef Struct Reference

b2BodyDef Struct Reference

A body definition holds all the data needed to construct a rigid body. More...

List of all members.

Public Member Functions

b2BodyDef ()
This constructor sets the body definition default values.

Public Attributes

b2MassData massData
You can use this to initialized the mass properties of the body.
void * | userData
Use this to store application specific body data.
b2Vec2 position
The world position of the body.
float32 | angle
The world angle of the body in radians.
float32 | linearDamping
Linear damping is use to reduce the linear velocity.
float32 | angularDamping
Angular damping is use to reduce the angular velocity.
bool | allowSleep
Set this flag to false if this body should never fall asleep.
bool | isSleeping
Is this body initially sleeping?
bool | fixedRotation
Should this body be prevented from rotating? Useful for characters.
bool | isBullet
Is this a fast moving body that should be prevented from tunneling through other moving bodies? Note that all bodies are prevented from tunneling through static bodies.

Detailed Description

A body definition holds all the data needed to construct a rigid body.

You can safely re-use body definitions.

Member Data Documentation

b2MassData b2BodyDef::massData

You can use this to initialized the mass properties of the body.

If you prefer, you can set the mass properties after the shapes have been added using b2Body::SetMassFromShapes.

b2Vec2 b2BodyDef::position

The world position of the body.

Avoid creating bodies at the origin since this can lead to many overlapping shapes.

float32 b2BodyDef::linearDamping

Linear damping is use to reduce the linear velocity.

The damping parameter can be larger than 1.0f but the damping effect becomes sensitive to the time step when the damping parameter is large.

float32 b2BodyDef::angularDamping

Angular damping is use to reduce the angular velocity.

The damping parameter can be larger than 1.0f but the damping effect becomes sensitive to the time step when the damping parameter is large.

bool b2BodyDef::allowSleep

Set this flag to false if this body should never fall asleep.

Note that this increases CPU usage.

bool b2BodyDef::isBullet

Is this a fast moving body that should be prevented from tunneling through other moving bodies? Note that all bodies are prevented from tunneling through static bodies.

Warning:
You should use this flag sparingly since it increases processing time.

The documentation for this struct was generated from the following file:
  • b2Body.h


Box2D: Member List

b2BodyDef Member List

This is the complete list of members for b2BodyDef, including all inherited members.

allowSleep | b2BodyDef |
angle | b2BodyDef |
angularDamping | b2BodyDef |
b2BodyDef() | b2BodyDef | [inline]
fixedRotation | b2BodyDef |
isBullet | b2BodyDef |
isSleeping | b2BodyDef |
linearDamping | b2BodyDef |
massData | b2BodyDef |
position | b2BodyDef |
userData | b2BodyDef |


Box2D: b2BoundaryListener Class Reference

b2BoundaryListener Class Reference

This is called when a body's shape passes outside of the world boundary. More...

List of all members.

Public Member Functions

virtual void Violation (b2Body *body)=0
This is called for each body that leaves the world boundary.

Detailed Description

This is called when a body's shape passes outside of the world boundary.

Member Function Documentation

virtual void b2BoundaryListener::Violation ( b2Body * body ) [pure virtual]

This is called for each body that leaves the world boundary.

Warning:
you can't modify the world inside this callback.

The documentation for this class was generated from the following file:
  • b2WorldCallbacks.h


Box2D: Member List

b2BoundaryListener Member List

This is the complete list of members for b2BoundaryListener, including all inherited members.

Violation(b2Body *body)=0 b2BoundaryListener [pure virtual]


Box2D: b2CircleDef Struct Reference

b2CircleDef Struct Reference

This structure is used to build circle shapes. More...

Inheritance diagram for b2CircleDef:

b2ShapeDef

List of all members.

Detailed Description

This structure is used to build circle shapes.
The documentation for this struct was generated from the following file:
  • b2CircleShape.h


Box2D: Member List

b2CircleDef Member List

This is the complete list of members for b2CircleDef, including all inherited members.

b2ShapeDef() | b2ShapeDef | [inline]
density | b2ShapeDef |
filter | b2ShapeDef |
friction | b2ShapeDef |
isSensor | b2ShapeDef |
restitution | b2ShapeDef |
type | b2ShapeDef |
userData | b2ShapeDef |


Box2D: b2CircleShape Class Reference

b2CircleShape Class Reference

A circle shape. More...

Inheritance diagram for b2CircleShape:

b2Shape

List of all members.

Public Member Functions

bool | TestPoint (const b2XForm &transform, const b2Vec2 &p) const
See also:
b2Shape::TestPoint

bool | TestSegment (const b2XForm &transform, float32 *lambda, b2Vec2 *normal, const b2Segment &segment, float32 maxLambda) const
See also:
b2Shape::TestSegment

void | ComputeAABB (b2AABB *aabb, const b2XForm &transform) const
See also:
b2Shape::ComputeAABB

void | ComputeSweptAABB (b2AABB *aabb, const b2XForm &transform1, const b2XForm &transform2) const
See also:
b2Shape::ComputeSweptAABB

void | ComputeMass (b2MassData *massData) const
See also:
b2Shape::ComputeMass

const b2Vec2 & | GetLocalPosition () const
Get the local position of this circle in its parent body.
float32 | GetRadius () const
Get the radius of this circle.

Friends

class | b2Shape

Detailed Description

A circle shape.
The documentation for this class was generated from the following files:
  • b2CircleShape.h
  • b2CircleShape.cpp


Box2D: Member List

b2CircleShape Member List

This is the complete list of members for b2CircleShape, including all inherited members.

ComputeAABB(b2AABB *aabb, const b2XForm &transform) const | b2CircleShape | [virtual]
ComputeMass(b2MassData *massData) const | b2CircleShape | [virtual]
ComputeSweptAABB(b2AABB *aabb, const b2XForm &transform1, const b2XForm &transform2) const | b2CircleShape | [virtual]
GetBody() | b2Shape | [inline]
GetFilterData() const | b2Shape | [inline]
GetFriction() const | b2Shape | [inline]
GetLocalPosition() const | b2CircleShape | [inline]
GetNext() | b2Shape | [inline]
GetRadius() const | b2CircleShape | [inline]
GetRestitution() const | b2Shape | [inline]
GetSweepRadius() const | b2Shape | [inline]
GetType() const | b2Shape | [inline]
GetUserData() | b2Shape | [inline]
IsSensor() const | b2Shape | [inline]
SetFilterData(const b2FilterData &filter) | b2Shape | [inline]
SetUserData(void *data) | b2Shape | [inline]
TestPoint(const b2XForm &transform, const b2Vec2 &p) const | b2CircleShape | [virtual]
TestSegment(const b2XForm &transform, float32 *lambda, b2Vec2 *normal, const b2Segment &segment, float32 maxLambda) const | b2CircleShape | [virtual]


Box2D: b2Color Struct Reference

b2Color Struct Reference

Color for debug drawing. Each value has the range [0,1]. More...

List of all members.

Detailed Description

Color for debug drawing. Each value has the range [0,1].
The documentation for this struct was generated from the following file:
  • b2WorldCallbacks.h


Box2D: Member List

b2Color Member List

This is the complete list of members for b2Color, including all inherited members.


Box2D: b2Contact Class Reference

b2Contact Class Reference

The class manages contact between two shapes. More...

Inherited by b2CircleContact, b2NullContact, b2PolyAndCircleContact, and b2PolygonContact.

List of all members.

Public Member Functions

virtual b2Manifold * | GetManifolds ()=0
Get the manifold array.
int32 | GetManifoldCount () const
Get the number of manifolds.
bool | IsSolid () const
Is this contact solid?
b2Contact * GetNext ()
Get the next contact in the world's contact list.
b2Shape * GetShape1 ()
Get the first shape in this contact.
b2Shape * GetShape2 ()
Get the second shape in this contact.

Detailed Description

The class manages contact between two shapes.

A contact exists for each overlapping AABB in the broad-phase (except if filtered). Therefore a contact object may exist that has no contact points.

Member Function Documentation

int32 b2Contact::GetManifoldCount ( ) const [inline]

Get the number of manifolds.

This is 0 or 1 between convex shapes. This may be greater than 1 for convex-vs-concave shapes. Each manifold holds up to two contact points with a shared contact normal.

bool b2Contact::IsSolid ( ) const [inline]

Is this contact solid?

Returns:
true if this contact should generate a response.

The documentation for this class was generated from the following files:
  • b2Contact.h
  • b2Contact.cpp


Box2D: Member List

b2Contact Member List

This is the complete list of members for b2Contact, including all inherited members.

GetManifoldCount() const | b2Contact | [inline]
GetManifolds()=0 | b2Contact | [pure virtual]
GetNext() | b2Contact | [inline]
GetShape1() | b2Contact | [inline]
GetShape2() | b2Contact | [inline]
IsSolid() const | b2Contact | [inline]


Box2D: b2ContactEdge Struct Reference

b2ContactEdge Struct Reference

A contact edge is used to connect bodies and contacts together in a contact graph where each body is a node and each contact is an edge. More...

List of all members.

Public Attributes

b2Body * other
provides quick access to the other body attached.
b2Contact * contact
the contact
b2ContactEdge * prev
the previous contact edge in the body's contact list
b2ContactEdge * next
the next contact edge in the body's contact list

Detailed Description

A contact edge is used to connect bodies and contacts together in a contact graph where each body is a node and each contact is an edge.

A contact edge belongs to a doubly linked list maintained in each attached body. Each contact has two contact nodes, one for each attached body.

The documentation for this struct was generated from the following file:
  • b2Contact.h


Box2D: Member List

b2ContactEdge Member List

This is the complete list of members for b2ContactEdge, including all inherited members.

contact | b2ContactEdge
next | b2ContactEdge
other | b2ContactEdge
prev | b2ContactEdge


Box2D: b2ContactFilter Class Reference

b2ContactFilter Class Reference

Implement this class to provide collision filtering. More...

List of all members.

Public Member Functions

virtual bool ShouldCollide (b2Shape *shape1, b2Shape *shape2)
Return true if contact calculations should be performed between these two shapes.

Detailed Description

Implement this class to provide collision filtering.

In other words, you can implement this class if you want finer control over contact creation.

Member Function Documentation

bool b2ContactFilter::ShouldCollide | ( | b2Shape * | shape1,
 |  | b2Shape * | shape2 |
 | ) |  |  | [virtual]

Return true if contact calculations should be performed between these two shapes.

Warning:
for performance reasons this is only called when the AABBs begin to overlap.

The documentation for this class was generated from the following files:
  • b2WorldCallbacks.h
  • b2WorldCallbacks.cpp


Box2D: Member List

b2ContactFilter Member List

This is the complete list of members for b2ContactFilter, including all inherited members.

ShouldCollide(b2Shape *shape1, b2Shape *shape2) b2ContactFilter [virtual]


Box2D: b2ContactID Union Reference

b2ContactID Union Reference

Contact ids to facilitate warm starting. More...

List of all members.

Public Attributes

uint32 | key
Used to quickly compare contact ids.

Classes

struct | Features
The features that intersect to form the contact point. More...

Detailed Description

Contact ids to facilitate warm starting.
The documentation for this union was generated from the following file:
  • b2Collision.h


Box2D: Member List

b2ContactID Member List

This is the complete list of members for b2ContactID, including all inherited members.

key b2ContactID


Box2D: b2ContactID::Features Struct Reference

b2ContactID::Features

b2ContactID::Features Struct Reference

The features that intersect to form the contact point. More...

List of all members.

Public Attributes

uint8 | referenceEdge
The edge that defines the outward contact normal.
uint8 | incidentEdge
The edge most anti-parallel to the reference edge.
uint8 | incidentVertex
The vertex (0 or 1) on the incident edge that was clipped.
uint8 | flip
A value of 1 indicates that the reference edge is on shape2.

Detailed Description

The features that intersect to form the contact point.
The documentation for this struct was generated from the following file:
  • b2Collision.h


Box2D: Member List

b2ContactID::Features Member List

This is the complete list of members for b2ContactID::Features, including all inherited members.

flip | b2ContactID::Features
incidentEdge | b2ContactID::Features
incidentVertex | b2ContactID::Features
referenceEdge | b2ContactID::Features


Box2D: b2ContactListener Class Reference

b2ContactListener Class Reference

Implement this class to get collision results. More...

List of all members.

Public Member Functions

virtual void | Add (const b2ContactPoint *point)
Called when a contact point is added.
virtual void | Persist (const b2ContactPoint *point)
Called when a contact point persists.
virtual void | Remove (const b2ContactPoint *point)
Called when a contact point is removed.
virtual void | Result (const b2ContactResult *point)
Called after a contact point is solved.

Detailed Description

Implement this class to get collision results.

You can use these results for things like sounds and game logic. You can also get contact results by traversing the contact lists after the time step. However, you might miss some contacts because continuous physics leads to sub-stepping. Additionally you may receive multiple callbacks for the same contact in a single time step. You should strive to make your callbacks efficient because there may be many callbacks per time step.

Warning:
The contact separation is the last computed value.

You cannot create/destroy Box2D entities inside these callbacks.

Member Function Documentation

virtual void b2ContactListener::Add ( const b2ContactPoint * point ) [inline, virtual]

Called when a contact point is added.

This includes the geometry and the forces.

virtual void b2ContactListener::Persist ( const b2ContactPoint * point ) [inline, virtual]

Called when a contact point persists.

This includes the geometry and the forces.

virtual void b2ContactListener::Remove ( const b2ContactPoint * point ) [inline, virtual]

Called when a contact point is removed.

This includes the last computed geometry and forces.

The documentation for this class was generated from the following file:
  • b2WorldCallbacks.h


Box2D: Member List

b2ContactListener Member List

This is the complete list of members for b2ContactListener, including all inherited members.

Add(const b2ContactPoint *point) | b2ContactListener | [inline, virtual]
Persist(const b2ContactPoint *point) | b2ContactListener | [inline, virtual]
Remove(const b2ContactPoint *point) | b2ContactListener | [inline, virtual]
Result(const b2ContactResult *point) | b2ContactListener | [inline, virtual]


Box2D: b2ContactPoint Struct Reference

b2ContactPoint Struct Reference

This structure is used to report contact points. More...

List of all members.

Public Attributes

b2Shape * shape1
the first shape
b2Shape * shape2
the second shape
b2Vec2 position
position in world coordinates
b2Vec2 velocity
velocity of point on body2 relative to point on body1 (pre-solver)
b2Vec2 normal
points from shape1 to shape2
float32 | separation
the separation is negative when shapes are touching
float32 | friction
the combined friction coefficient
float32 | restitution
the combined restitution coefficient
b2ContactID id
the contact id identifies the features in contact

Detailed Description

This structure is used to report contact points.
The documentation for this struct was generated from the following file:
  • b2Contact.h


Box2D: Member List

b2ContactPoint Member List

This is the complete list of members for b2ContactPoint, including all inherited members.

friction | b2ContactPoint
id | b2ContactPoint
normal | b2ContactPoint
position | b2ContactPoint
restitution | b2ContactPoint
separation | b2ContactPoint
shape1 | b2ContactPoint
shape2 | b2ContactPoint
velocity | b2ContactPoint


Box2D: b2ContactResult Struct Reference

b2ContactResult Struct Reference

This structure is used to report contact point results. More...

List of all members.

Public Attributes

b2Shape * shape1
the first shape
b2Shape * shape2
the second shape
b2Vec2 position
position in world coordinates
b2Vec2 normal
points from shape1 to shape2
float32 | normalImpulse
the normal impulse applied to body2
float32 | tangentImpulse
the tangent impulse applied to body2
b2ContactID id
the contact id identifies the features in contact

Detailed Description

This structure is used to report contact point results.
The documentation for this struct was generated from the following file:
  • b2Contact.h


Box2D: Member List

b2ContactResult Member List

This is the complete list of members for b2ContactResult, including all inherited members.

id | b2ContactResult
normal | b2ContactResult
normalImpulse | b2ContactResult
position | b2ContactResult
shape1 | b2ContactResult
shape2 | b2ContactResult
tangentImpulse | b2ContactResult


Box2D: b2DebugDraw Class Reference

b2DebugDraw Class Reference

Implement and register this class with a b2World to provide debug drawing of physics entities in your game. More...

List of all members.

Public Types

enum {
e_shapeBit = 0x0001, e_jointBit = 0x0002, e_coreShapeBit = 0x0004, e_aabbBit = 0x0008,
e_obbBit = 0x0010, e_pairBit = 0x0020, e_centerOfMassBit = 0x0040
}

Public Member Functions

void | SetFlags (uint32 flags)
Set the drawing flags.
uint32 | GetFlags () const
Get the drawing flags.
void | AppendFlags (uint32 flags)
Append flags to the current flags.
void | ClearFlags (uint32 flags)
Clear flags from the current flags.
virtual void | DrawPolygon (const b2Vec2 *vertices, int32 vertexCount, const b2Color &color)=0
Draw a closed polygon provided in CCW order.
virtual void | DrawSolidPolygon (const b2Vec2 *vertices, int32 vertexCount, const b2Color &color)=0
Draw a solid closed polygon provided in CCW order.
virtual void | DrawCircle (const b2Vec2 &center, float32 radius, const b2Color &color)=0
Draw a circle.
virtual void | DrawSolidCircle (const b2Vec2 &center, float32 radius, const b2Vec2 &axis, const b2Color &color)=0
Draw a solid circle.
virtual void | DrawSegment (const b2Vec2 &p1, const b2Vec2 &p2, const b2Color &color)=0
Draw a line segment.
virtual void | DrawXForm (const b2XForm &xf)=0
Draw a transform.

Detailed Description

Implement and register this class with a b2World to provide debug drawing of physics entities in your game.

Member Enumeration Documentation

anonymous enum

Enumerator:
e_shapeBit | draw shapes
e_jointBit | draw joint connections
e_coreShapeBit | draw core (TOI) shapes
e_aabbBit | draw axis aligned bounding boxes
e_obbBit | draw oriented bounding boxes
e_pairBit | draw broad-phase pairs
e_centerOfMassBit | draw center of mass frame

Member Function Documentation

virtual void b2DebugDraw::DrawXForm ( const b2XForm & xf ) [pure virtual]

Draw a transform.

Choose your own length scale.

Parameters:
xf a transform.

The documentation for this class was generated from the following files:
  • b2WorldCallbacks.h
  • b2WorldCallbacks.cpp


Box2D: Member List

b2DebugDraw Member List

This is the complete list of members for b2DebugDraw, including all inherited members.

AppendFlags(uint32 flags) | b2DebugDraw |
ClearFlags(uint32 flags) | b2DebugDraw |
DrawCircle(const b2Vec2 &center, float32 radius, const b2Color &color)=0 | b2DebugDraw | [pure virtual]
DrawPolygon(const b2Vec2 *vertices, int32 vertexCount, const b2Color &color)=0 | b2DebugDraw | [pure virtual]
DrawSegment(const b2Vec2 &p1, const b2Vec2 &p2, const b2Color &color)=0 | b2DebugDraw | [pure virtual]
DrawSolidCircle(const b2Vec2 &center, float32 radius, const b2Vec2 &axis, const b2Color &color)=0 | b2DebugDraw | [pure virtual]
DrawSolidPolygon(const b2Vec2 *vertices, int32 vertexCount, const b2Color &color)=0 | b2DebugDraw | [pure virtual]
DrawXForm(const b2XForm &xf)=0 | b2DebugDraw | [pure virtual]
e_aabbBit enum value | b2DebugDraw |
e_centerOfMassBit enum value | b2DebugDraw |
e_coreShapeBit enum value | b2DebugDraw |
e_jointBit enum value | b2DebugDraw |
e_obbBit enum value | b2DebugDraw |
e_pairBit enum value | b2DebugDraw |
e_shapeBit enum value | b2DebugDraw |
GetFlags() const | b2DebugDraw |
SetFlags(uint32 flags) | b2DebugDraw |


Box2D: b2DestructionListener Class Reference

b2DestructionListener Class Reference

Joints and shapes are destroyed when their associated body is destroyed. More...

List of all members.

Public Member Functions

virtual void | SayGoodbye (b2Joint *joint)=0
Called when any joint is about to be destroyed due to the destruction of one of its attached bodies.
virtual void | SayGoodbye (b2Shape *shape)=0
Called when any shape is about to be destroyed due to the destruction of its parent body.

Detailed Description

Joints and shapes are destroyed when their associated body is destroyed.

Implement this listener so that you may nullify references to these joints and shapes.

Member Function Documentation

virtual void b2DestructionListener::SayGoodbye ( b2Joint * joint ) [pure virtual]

Called when any joint is about to be destroyed due to the destruction of one of its attached bodies.

virtual void b2DestructionListener::SayGoodbye ( b2Shape * shape ) [pure virtual]

Called when any shape is about to be destroyed due to the destruction of its parent body.

The documentation for this class was generated from the following file:
  • b2WorldCallbacks.h


Box2D: Member List

b2DestructionListener Member List

This is the complete list of members for b2DestructionListener, including all inherited members.

SayGoodbye(b2Joint *joint)=0 | b2DestructionListener | [pure virtual]
SayGoodbye(b2Shape *shape)=0 | b2DestructionListener | [pure virtual]


Box2D: b2DistanceJoint Class Reference

b2DistanceJoint Class Reference

A distance joint constrains two points on two bodies to remain at a fixed distance from each other. More...

Inheritance diagram for b2DistanceJoint:

b2Joint

List of all members.

Public Member Functions

b2Vec2 | GetAnchor1 () const
Get the anchor point on body1 in world coordinates.
b2Vec2 | GetAnchor2 () const
Get the anchor point on body2 in world coordinates.
b2Vec2 | GetReactionForce () const
Get the reaction force on body2 at the joint anchor.
float32 | GetReactionTorque () const
Get the reaction torque on body2.

Detailed Description

A distance joint constrains two points on two bodies to remain at a fixed distance from each other.

You can view this as a massless, rigid rod.

The documentation for this class was generated from the following files:
  • b2DistanceJoint.h
  • b2DistanceJoint.cpp


Box2D: Member List

b2DistanceJoint Member List

This is the complete list of members for b2DistanceJoint, including all inherited members.

GetAnchor1() const | b2DistanceJoint | [virtual]
GetAnchor2() const | b2DistanceJoint | [virtual]
GetBody1() | b2Joint | [inline]
GetBody2() | b2Joint | [inline]
GetNext() | b2Joint | [inline]
GetReactionForce() const | b2DistanceJoint | [virtual]
GetReactionTorque() const | b2DistanceJoint | [virtual]
GetType() const | b2Joint | [inline]
GetUserData() | b2Joint | [inline]
SetUserData(void *data) | b2Joint | [inline]


Box2D: b2DistanceJointDef Struct Reference

b2DistanceJointDef Struct Reference

Distance joint definition. More...

Inheritance diagram for b2DistanceJointDef:

b2JointDef

List of all members.

Public Member Functions

void | Initialize (b2Body *body1, b2Body *body2, const b2Vec2 &anchor1, const b2Vec2 &anchor2)
Initialize the bodies, anchors, and length using the world anchors.

Public Attributes

b2Vec2 localAnchor1
The local anchor point relative to body1's origin.
b2Vec2 localAnchor2
The local anchor point relative to body2's origin.
float32 | length
The equilibrium length between the anchor points.
float32 | frequencyHz
The response speed.
float32 | dampingRatio
The damping ratio. 0 = no damping, 1 = critical damping.

Detailed Description

Distance joint definition.

This requires defining an anchor point on both bodies and the non-zero length of the distance joint. The definition uses local anchor points so that the initial configuration can violate the constraint slightly. This helps when saving and loading a game.

Warning:
Do not use a zero or short length.

Member Function Documentation

void b2DistanceJointDef::Initialize | ( | b2Body * | body1,
 |  | b2Body * | body2,
 |  | const b2Vec2 & | anchor1,
 |  | const b2Vec2 & | anchor2
 | ) |  |

Initialize the bodies, anchors, and length using the world anchors.

The documentation for this struct was generated from the following files:
  • b2DistanceJoint.h
  • b2DistanceJoint.cpp


Box2D: Member List

b2DistanceJointDef Member List

This is the complete list of members for b2DistanceJointDef, including all inherited members.

body1 | b2JointDef
body2 | b2JointDef
collideConnected | b2JointDef
dampingRatio | b2DistanceJointDef
frequencyHz | b2DistanceJointDef
Initialize(b2Body *body1, b2Body *body2, const b2Vec2 &anchor1, const b2Vec2 &anchor2) | b2DistanceJointDef
length | b2DistanceJointDef
localAnchor1 | b2DistanceJointDef
localAnchor2 | b2DistanceJointDef
type | b2JointDef
userData | b2JointDef


Box2D: b2FilterData Struct Reference

b2FilterData Struct Reference

This holds contact filtering data. More...

List of all members.

Public Attributes

uint16 | categoryBits
The collision category bits. Normally you would just set one bit.
uint16 | maskBits
The collision mask bits.
int16 | groupIndex
Collision groups allow a certain group of objects to never collide (negative) or always collide (positive).

Detailed Description

This holds contact filtering data.

Member Data Documentation

uint16 b2FilterData::maskBits

The collision mask bits.

This states the categories that this shape would accept for collision.

int16 b2FilterData::groupIndex

Collision groups allow a certain group of objects to never collide (negative) or always collide (positive).

Zero means no collision group. Non-zero group filtering always wins against the mask bits.

The documentation for this struct was generated from the following file:
  • b2Shape.h


Box2D: Member List

b2FilterData Member List

This is the complete list of members for b2FilterData, including all inherited members.

categoryBits | b2FilterData
groupIndex | b2FilterData
maskBits | b2FilterData


Box2D: b2GearJoint Class Reference

b2GearJoint Class Reference

A gear joint is used to connect two joints together. More...

Inheritance diagram for b2GearJoint:

b2Joint

List of all members.

Public Member Functions

b2Vec2 | GetAnchor1 () const
Get the anchor point on body1 in world coordinates.
b2Vec2 | GetAnchor2 () const
Get the anchor point on body2 in world coordinates.
b2Vec2 | GetReactionForce () const
Get the reaction force on body2 at the joint anchor.
float32 | GetReactionTorque () const
Get the reaction torque on body2.
float32 | GetRatio () const
Get the gear ratio.

Detailed Description

A gear joint is used to connect two joints together.

Either joint can be a revolute or prismatic joint. You specify a gear ratio to bind the motions together: coordinate1 + ratio * coordinate2 = constant The ratio can be negative or positive. If one joint is a revolute joint and the other joint is a prismatic joint, then the ratio will have units of length or units of 1/length.

Warning:
The revolute and prismatic joints must be attached to fixed bodies (which must be body1 on those joints).
The documentation for this class was generated from the following files:
  • b2GearJoint.h
  • b2GearJoint.cpp


Box2D: Member List

b2GearJoint Member List

This is the complete list of members for b2GearJoint, including all inherited members.

GetAnchor1() const | b2GearJoint | [virtual]
GetAnchor2() const | b2GearJoint | [virtual]
GetBody1() | b2Joint | [inline]
GetBody2() | b2Joint | [inline]
GetNext() | b2Joint | [inline]
GetRatio() const | b2GearJoint |
GetReactionForce() const | b2GearJoint | [virtual]
GetReactionTorque() const | b2GearJoint | [virtual]
GetType() const | b2Joint | [inline]
GetUserData() | b2Joint | [inline]
SetUserData(void *data) | b2Joint | [inline]


Box2D: b2GearJointDef Struct Reference

b2GearJointDef Struct Reference

Gear joint definition. More...

Inheritance diagram for b2GearJointDef:

b2JointDef

List of all members.

Public Attributes

b2Joint * joint1
The first revolute/prismatic joint attached to the gear joint.
b2Joint * joint2
The second revolute/prismatic joint attached to the gear joint.
float32 ratio
The gear ratio.

Detailed Description

Gear joint definition.

This definition requires two existing revolute or prismatic joints (any combination will work). The provided joints must attach a dynamic body to a static body.

Member Data Documentation

float32 b2GearJointDef::ratio

The gear ratio.

See also:
b2GearJoint for explanation.

The documentation for this struct was generated from the following file:
  • b2GearJoint.h


Box2D: Member List

b2GearJointDef Member List

This is the complete list of members for b2GearJointDef, including all inherited members.

body1 | b2JointDef
body2 | b2JointDef
collideConnected | b2JointDef
joint1 | b2GearJointDef
joint2 | b2GearJointDef
ratio | b2GearJointDef
type | b2JointDef
userData | b2JointDef


Box2D: b2Joint Class Reference

b2Joint Class Reference

The base joint class. More...

Inheritance diagram for b2Joint:

b2DistanceJoint b2GearJoint b2MouseJoint b2PrismaticJoint b2PulleyJoint b2RevoluteJoint

List of all members.

Public Member Functions

b2JointType | GetType () const
Get the type of the concrete joint.
b2Body * GetBody1 ()
Get the first body attached to this joint.
b2Body * GetBody2 ()
Get the second body attached to this joint.
virtual b2Vec2 | GetAnchor1 () const =0
Get the anchor point on body1 in world coordinates.
virtual b2Vec2 | GetAnchor2 () const =0
Get the anchor point on body2 in world coordinates.
virtual b2Vec2 | GetReactionForce () const =0
Get the reaction force on body2 at the joint anchor.
virtual float32 | GetReactionTorque () const =0
Get the reaction torque on body2.
b2Joint * GetNext ()
Get the next joint the world joint list.
void * | GetUserData ()
Get the user data pointer.
void | SetUserData (void *data)
Set the user data pointer.

Friends

class | b2World
class | b2Body

Detailed Description

The base joint class.

Joints are used to constraint two bodies together in various fashions. Some joints also feature limits and motors.

The documentation for this class was generated from the following files:
  • b2Joint.h
  • b2Joint.cpp


Box2D: Member List

b2Joint Member List

This is the complete list of members for b2Joint, including all inherited members.

GetAnchor1() const =0 | b2Joint | [pure virtual]
GetAnchor2() const =0 | b2Joint | [pure virtual]
GetBody1() | b2Joint | [inline]
GetBody2() | b2Joint | [inline]
GetNext() | b2Joint | [inline]
GetReactionForce() const =0 | b2Joint | [pure virtual]
GetReactionTorque() const =0 | b2Joint | [pure virtual]
GetType() const | b2Joint | [inline]
GetUserData() | b2Joint | [inline]
SetUserData(void *data) | b2Joint | [inline]


Box2D: b2JointDef Struct Reference

b2JointDef Struct Reference

Joint definitions are used to construct joints. More...

Inheritance diagram for b2JointDef:

b2DistanceJointDef b2GearJointDef b2MouseJointDef b2PrismaticJointDef b2PulleyJointDef b2RevoluteJointDef

List of all members.

Public Attributes

b2JointType | type
The joint type is set automatically for concrete joint types.
void * | userData
Use this to attach application specific data to your joints.
b2Body * body1
The first attached body.
b2Body * body2
The second attached body.
bool | collideConnected
Set this flag to true if the attached bodies should collide.

Detailed Description

Joint definitions are used to construct joints.
The documentation for this struct was generated from the following file:
  • b2Joint.h


Box2D: Member List

b2JointDef Member List

This is the complete list of members for b2JointDef, including all inherited members.

body1 | b2JointDef
body2 | b2JointDef
collideConnected | b2JointDef
type | b2JointDef
userData | b2JointDef


Box2D: b2JointEdge Struct Reference

b2JointEdge Struct Reference

A joint edge is used to connect bodies and joints together in a joint graph where each body is a node and each joint is an edge. More...

List of all members.

Public Attributes

b2Body * other
provides quick access to the other body attached.
b2Joint * joint
the joint
b2JointEdge * prev
the previous joint edge in the body's joint list
b2JointEdge * next
the next joint edge in the body's joint list

Detailed Description

A joint edge is used to connect bodies and joints together in a joint graph where each body is a node and each joint is an edge.

A joint edge belongs to a doubly linked list maintained in each attached body. Each joint has two joint nodes, one for each attached body.

The documentation for this struct was generated from the following file:
  • b2Joint.h


Box2D: Member List

b2JointEdge Member List

This is the complete list of members for b2JointEdge, including all inherited members.

joint | b2JointEdge
next | b2JointEdge
other | b2JointEdge
prev | b2JointEdge


Box2D: b2Manifold Struct Reference

b2Manifold Struct Reference

A manifold for two touching convex shapes. More...

List of all members.

Public Attributes

b2ManifoldPoint | points [b2_maxManifoldPoints]
the points of contact
b2Vec2 normal
the shared unit normal vector
int32 | pointCount
the number of manifold points

Detailed Description

A manifold for two touching convex shapes.
The documentation for this struct was generated from the following file:
  • b2Collision.h


Box2D: Member List

b2Manifold Member List

This is the complete list of members for b2Manifold, including all inherited members.

normal | b2Manifold
pointCount | b2Manifold
points | b2Manifold


Box2D: b2ManifoldPoint Struct Reference

b2ManifoldPoint Struct Reference

A manifold point is a contact point belonging to a contact manifold. More...

List of all members.

Public Attributes

b2Vec2 localPoint1
local position of the contact point in body1
b2Vec2 localPoint2
local position of the contact point in body2
float32 | separation
the separation of the shapes along the normal vector
float32 | normalImpulse
the non-penetration impulse
float32 | tangentImpulse
the friction impulse
b2ContactID id
uniquely identifies a contact point between two shapes

Detailed Description

A manifold point is a contact point belonging to a contact manifold.

It holds details related to the geometry and dynamics of the contact points. The point is stored in local coordinates because CCD requires sub-stepping in which the separation is stale.

The documentation for this struct was generated from the following file:
  • b2Collision.h


Box2D: Member List

b2ManifoldPoint Member List

This is the complete list of members for b2ManifoldPoint, including all inherited members.

id | b2ManifoldPoint
localPoint1 | b2ManifoldPoint
localPoint2 | b2ManifoldPoint
normalImpulse | b2ManifoldPoint
separation | b2ManifoldPoint
tangentImpulse | b2ManifoldPoint


Box2D: b2MassData Struct Reference

b2MassData Struct Reference

This holds the mass data computed for a shape. More...

List of all members.

Public Attributes

float32 | mass
The mass of the shape, usually in kilograms.
b2Vec2 center
The position of the shape's centroid relative to the shape's origin.
float32 | I
The rotational inertia of the shape.

Detailed Description

This holds the mass data computed for a shape.
The documentation for this struct was generated from the following file:
  • b2Shape.h


Box2D: Member List

b2MassData Member List

This is the complete list of members for b2MassData, including all inherited members.

center | b2MassData
I | b2MassData
mass | b2MassData


Box2D: b2Mat22 Struct Reference

b2Mat22 Struct Reference

A 2-by-2 matrix. Stored in column-major order. More...

List of all members.

Public Member Functions

b2Mat22 ()
The default constructor does nothing (for performance).
b2Mat22 (const b2Vec2 &c1, const b2Vec2 &c2)
Construct this matrix using columns.
b2Mat22 (float32 a11, float32 a12, float32 a21, float32 a22)
Construct this matrix using scalars.
b2Mat22 (float32 angle)
Construct this matrix using an angle.
void | Set (const b2Vec2 &c1, const b2Vec2 &c2)
Initialize this matrix using columns.
void | Set (float32 angle)
Initialize this matrix using an angle.
void | SetIdentity ()
Set this to the identity matrix.
void | SetZero ()
Set this matrix to all zeros.
float32 | GetAngle () const
Extract the angle from this matrix (assumed to be a rotation matrix).
b2Vec2 | Solve (const b2Vec2 &b) const
Solve A * x = b, where b is a column vector.

Detailed Description

A 2-by-2 matrix. Stored in column-major order.

Constructor & Destructor Documentation

b2Mat22::b2Mat22 ( float32 angle ) [inline, explicit]

Construct this matrix using an angle.

This matrix becomes an orthonormal rotation matrix.

Member Function Documentation

void b2Mat22::Set ( float32 angle ) [inline]

Initialize this matrix using an angle.

This matrix becomes an orthonormal rotation matrix.

float32 b2Mat22::GetAngle ( ) const [inline]

Extract the angle from this matrix (assumed to be a rotation matrix).

b2Vec2 b2Mat22::Solve ( const b2Vec2 & b ) const [inline]

Solve A * x = b, where b is a column vector.

This is more efficient than computing the inverse in one-shot cases.

The documentation for this struct was generated from the following file:
  • b2Math.h


Box2D: Member List

b2Mat22 Member List

This is the complete list of members for b2Mat22, including all inherited members.

b2Mat22() | b2Mat22 | [inline]
b2Mat22(const b2Vec2 &c1, const b2Vec2 &c2) | b2Mat22 | [inline]
b2Mat22(float32 a11, float32 a12, float32 a21, float32 a22) | b2Mat22 | [inline]
b2Mat22(float32 angle) | b2Mat22 | [inline, explicit]
GetAngle() const | b2Mat22 | [inline]
Set(const b2Vec2 &c1, const b2Vec2 &c2) | b2Mat22 | [inline]
Set(float32 angle) | b2Mat22 | [inline]
SetIdentity() | b2Mat22 | [inline]
SetZero() | b2Mat22 | [inline]
Solve(const b2Vec2 &b) const | b2Mat22 | [inline]


Box2D: b2MouseJoint Class Reference

b2MouseJoint Class Reference

A mouse joint is used to make a point on a body track a specified world point. More...

Inheritance diagram for b2MouseJoint:

b2Joint

List of all members.

Public Member Functions

b2Vec2 | GetAnchor1 () const
Implements b2Joint.
b2Vec2 | GetAnchor2 () const
Implements b2Joint.
b2Vec2 | GetReactionForce () const
Implements b2Joint.
float32 | GetReactionTorque () const
Implements b2Joint.
void | SetTarget (const b2Vec2 &target)
Use this to update the target point.

Detailed Description

A mouse joint is used to make a point on a body track a specified world point.

This a soft constraint with a maximum force. This allows the constraint to stretch and without applying huge forces.

The documentation for this class was generated from the following files:
  • b2MouseJoint.h
  • b2MouseJoint.cpp


Box2D: Member List

b2MouseJoint Member List

This is the complete list of members for b2MouseJoint, including all inherited members.

GetAnchor1() const | b2MouseJoint | [virtual]
GetAnchor2() const | b2MouseJoint | [virtual]
GetBody1() | b2Joint | [inline]
GetBody2() | b2Joint | [inline]
GetNext() | b2Joint | [inline]
GetReactionForce() const | b2MouseJoint | [virtual]
GetReactionTorque() const | b2MouseJoint | [virtual]
GetType() const | b2Joint | [inline]
GetUserData() | b2Joint | [inline]
SetTarget(const b2Vec2 &target) | b2MouseJoint |
SetUserData(void *data) | b2Joint | [inline]


Box2D: b2MouseJointDef Struct Reference

b2MouseJointDef Struct Reference

Mouse joint definition. More...

Inheritance diagram for b2MouseJointDef:

b2JointDef

List of all members.

Public Attributes

b2Vec2 target
The initial world target point.
float32 | maxForce
The maximum constraint force that can be exerted to move the candidate body.
float32 | frequencyHz
The response speed.
float32 | dampingRatio
The damping ratio. 0 = no damping, 1 = critical damping.
float32 | timeStep
The time step used in the simulation.

Detailed Description

Mouse joint definition.

This requires a world target point, tuning parameters, and the time step.

Member Data Documentation

b2Vec2 b2MouseJointDef::target

The initial world target point.

This is assumed to coincide with the body anchor initially.

float32 b2MouseJointDef::maxForce

The maximum constraint force that can be exerted to move the candidate body.

Usually you will express as some multiple of the weight (multiplier * mass * gravity).

The documentation for this struct was generated from the following file:
  • b2MouseJoint.h


Box2D: Member List

b2MouseJointDef Member List

This is the complete list of members for b2MouseJointDef, including all inherited members.

body1 | b2JointDef
body2 | b2JointDef
collideConnected | b2JointDef
dampingRatio | b2MouseJointDef
frequencyHz | b2MouseJointDef
maxForce | b2MouseJointDef
target | b2MouseJointDef
timeStep | b2MouseJointDef
type | b2JointDef
userData | b2JointDef


Box2D: b2OBB Struct Reference

b2OBB Struct Reference

An oriented bounding box. More...

List of all members.

Public Attributes

b2Mat22 R
the rotation matrix
b2Vec2 center
the local centroid
b2Vec2 extents
the half-widths

Detailed Description

An oriented bounding box.
The documentation for this struct was generated from the following file:
  • b2Collision.h


Box2D: Member List

b2OBB Member List

This is the complete list of members for b2OBB, including all inherited members.

center | b2OBB
extents | b2OBB
R | b2OBB


Box2D: b2PolygonDef Struct Reference

b2PolygonDef Struct Reference

Convex polygon. More...

Inheritance diagram for b2PolygonDef:

b2ShapeDef

List of all members.

Public Member Functions

void | SetAsBox (float32 hx, float32 hy)
Build vertices to represent an axis-aligned box.
void | SetAsBox (float32 hx, float32 hy, const b2Vec2 &center, float32 angle)
Build vertices to represent an oriented box.

Public Attributes

b2Vec2 | vertices [b2_maxPolygonVertices]
The polygon vertices in local coordinates.
int32 | vertexCount
The number of polygon vertices.

Detailed Description

Convex polygon.

The vertices must be in CCW order for a right-handed coordinate system with the z-axis coming out of the screen.

Member Function Documentation

void b2PolygonDef::SetAsBox | ( | float32 | hx,
 |  | float32 | hy
 | ) |  |

Build vertices to represent an axis-aligned box.

Parameters:
hx | the half-width.
hy | the half-height.

void b2PolygonDef::SetAsBox | ( | float32 | hx,
 |  | float32 | hy,
 |  | const b2Vec2 & | center,
 |  | float32 | angle
 | ) |  |

Build vertices to represent an oriented box.

Parameters:
hx | the half-width.
hy | the half-height.
center | the center of the box in local coordinates.
angle | the rotation of the box in local coordinates.

The documentation for this struct was generated from the following files:
  • b2PolygonShape.h
  • b2PolygonShape.cpp


Box2D: Member List

b2PolygonDef Member List

This is the complete list of members for b2PolygonDef, including all inherited members.

b2ShapeDef() | b2ShapeDef | [inline]
density | b2ShapeDef |
filter | b2ShapeDef |
friction | b2ShapeDef |
isSensor | b2ShapeDef |
restitution | b2ShapeDef |
SetAsBox(float32 hx, float32 hy) | b2PolygonDef |
SetAsBox(float32 hx, float32 hy, const b2Vec2 &center, float32 angle) | b2PolygonDef |
type | b2ShapeDef |
userData | b2ShapeDef |
vertexCount | b2PolygonDef |
vertices | b2PolygonDef |


Box2D: b2PolygonShape Class Reference

b2PolygonShape Class Reference

A convex polygon. More...

Inheritance diagram for b2PolygonShape:

b2Shape

List of all members.

Public Member Functions

bool | TestPoint (const b2XForm &transform, const b2Vec2 &p) const
See also:
b2Shape::TestPoint

bool | TestSegment (const b2XForm &transform, float32 *lambda, b2Vec2 *normal, const b2Segment &segment, float32 maxLambda) const
See also:
b2Shape::TestSegment

void | ComputeAABB (b2AABB *aabb, const b2XForm &transform) const
See also:
b2Shape::ComputeAABB

void | ComputeSweptAABB (b2AABB *aabb, const b2XForm &transform1, const b2XForm &transform2) const
See also:
b2Shape::ComputeSweptAABB

void | ComputeMass (b2MassData *massData) const
See also:
b2Shape::ComputeMass

const b2OBB & | GetOBB () const
Get the oriented bounding box relative to the parent body.
const b2Vec2 & | GetCentroid () const
Get local centroid relative to the parent body.
int32 | GetVertexCount () const
Get the vertex count.
const b2Vec2 * | GetVertices () const
Get the vertices in local coordinates.
const b2Vec2 * | GetCoreVertices () const
Get the core vertices in local coordinates.
const b2Vec2 * | GetNormals () const
Get the edge normal vectors. There is one for each vertex.
b2Vec2 | GetFirstVertex (const b2XForm &xf) const
Get the first vertex and apply the supplied transform.
b2Vec2 | Centroid (const b2XForm &xf) const
Get the centroid and apply the supplied transform.
b2Vec2 | Support (const b2XForm &xf, const b2Vec2 &d) const
Get the support point in the given world direction.

Friends

class | b2Shape

Detailed Description

A convex polygon.

Member Function Documentation

const b2Vec2 * b2PolygonShape::GetCoreVertices ( ) const [inline]

Get the core vertices in local coordinates.

These vertices represent a smaller polygon that is used for time of impact computations.

b2Vec2 b2PolygonShape::Support | ( | const b2XForm & | xf,
 |  | const b2Vec2 & | d |
 | ) |  |  | const

Get the support point in the given world direction.

Use the supplied transform.

The documentation for this class was generated from the following files:
  • b2PolygonShape.h
  • b2PolygonShape.cpp


Box2D: Member List

b2PolygonShape Member List

This is the complete list of members for b2PolygonShape, including all inherited members.

Centroid(const b2XForm &xf) const | b2PolygonShape |
ComputeAABB(b2AABB *aabb, const b2XForm &transform) const | b2PolygonShape | [virtual]
ComputeMass(b2MassData *massData) const | b2PolygonShape | [virtual]
ComputeSweptAABB(b2AABB *aabb, const b2XForm &transform1, const b2XForm &transform2) const | b2PolygonShape | [virtual]
GetBody() | b2Shape | [inline]
GetCentroid() const | b2PolygonShape | [inline]
GetCoreVertices() const | b2PolygonShape | [inline]
GetFilterData() const | b2Shape | [inline]
GetFirstVertex(const b2XForm &xf) const | b2PolygonShape | [inline]
GetFriction() const | b2Shape | [inline]
GetNext() | b2Shape | [inline]
GetNormals() const | b2PolygonShape | [inline]
GetOBB() const | b2PolygonShape | [inline]
GetRestitution() const | b2Shape | [inline]
GetSweepRadius() const | b2Shape | [inline]
GetType() const | b2Shape | [inline]
GetUserData() | b2Shape | [inline]
GetVertexCount() const | b2PolygonShape | [inline]
GetVertices() const | b2PolygonShape | [inline]
IsSensor() const | b2Shape | [inline]
SetFilterData(const b2FilterData &filter) | b2Shape | [inline]
SetUserData(void *data) | b2Shape | [inline]
Support(const b2XForm &xf, const b2Vec2 &d) const | b2PolygonShape |
TestPoint(const b2XForm &transform, const b2Vec2 &p) const | b2PolygonShape | [virtual]
TestSegment(const b2XForm &transform, float32 *lambda, b2Vec2 *normal, const b2Segment &segment, float32 maxLambda) const | b2PolygonShape | [virtual]


Box2D: b2PrismaticJoint Class Reference

b2PrismaticJoint Class Reference

A prismatic joint. More...

Inheritance diagram for b2PrismaticJoint:

b2Joint

List of all members.

Public Member Functions

b2Vec2 | GetAnchor1 () const
Get the anchor point on body1 in world coordinates.
b2Vec2 | GetAnchor2 () const
Get the anchor point on body2 in world coordinates.
b2Vec2 | GetReactionForce () const
Get the reaction force on body2 at the joint anchor.
float32 | GetReactionTorque () const
Get the reaction torque on body2.
float32 | GetJointTranslation () const
Get the current joint translation, usually in meters.
float32 | GetJointSpeed () const
Get the current joint translation speed, usually in meters per second.
bool | IsLimitEnabled () const
Is the joint limit enabled?
void | EnableLimit (bool flag)
Enable/disable the joint limit.
float32 | GetLowerLimit () const
Get the lower joint limit, usually in meters.
float32 | GetUpperLimit () const
Get the upper joint limit, usually in meters.
void | SetLimits (float32 lower, float32 upper)
Set the joint limits, usually in meters.
bool | IsMotorEnabled () const
Is the joint motor enabled?
void | EnableMotor (bool flag)
Enable/disable the joint motor.
void | SetMotorSpeed (float32 speed)
Set the motor speed, usually in meters per second.
float32 | GetMotorSpeed () const
Get the motor speed, usually in meters per second.
void | SetMaxMotorForce (float32 force)
Set the maximum motor force, usually in N.
float32 | GetMotorForce () const
Get the current motor force, usually in N.

Detailed Description

A prismatic joint.

This joint provides one degree of freedom: translation along an axis fixed in body1. Relative rotation is prevented. You can use a joint limit to restrict the range of motion and a joint motor to drive the motion or to model joint friction.

The documentation for this class was generated from the following files:
  • b2PrismaticJoint.h
  • b2PrismaticJoint.cpp


Box2D: Member List

b2PrismaticJoint Member List

This is the complete list of members for b2PrismaticJoint, including all inherited members.

EnableLimit(bool flag) | b2PrismaticJoint |
EnableMotor(bool flag) | b2PrismaticJoint |
GetAnchor1() const | b2PrismaticJoint | [virtual]
GetAnchor2() const | b2PrismaticJoint | [virtual]
GetBody1() | b2Joint | [inline]
GetBody2() | b2Joint | [inline]
GetJointSpeed() const | b2PrismaticJoint |
GetJointTranslation() const | b2PrismaticJoint |
GetLowerLimit() const | b2PrismaticJoint |
GetMotorForce() const | b2PrismaticJoint |
GetMotorSpeed() const | b2PrismaticJoint | [inline]
GetNext() | b2Joint | [inline]
GetReactionForce() const | b2PrismaticJoint | [virtual]
GetReactionTorque() const | b2PrismaticJoint | [virtual]
GetType() const | b2Joint | [inline]
GetUpperLimit() const | b2PrismaticJoint |
GetUserData() | b2Joint | [inline]
IsLimitEnabled() const | b2PrismaticJoint |
IsMotorEnabled() const | b2PrismaticJoint |
SetLimits(float32 lower, float32 upper) | b2PrismaticJoint |
SetMaxMotorForce(float32 force) | b2PrismaticJoint |
SetMotorSpeed(float32 speed) | b2PrismaticJoint |
SetUserData(void *data) | b2Joint | [inline]


Box2D: b2PrismaticJointDef Struct Reference

b2PrismaticJointDef Struct Reference

Prismatic joint definition. More...

Inheritance diagram for b2PrismaticJointDef:

b2JointDef

List of all members.

Public Member Functions

void | Initialize (b2Body *body1, b2Body *body2, const b2Vec2 &anchor, const b2Vec2 &axis)
Initialize the bodies, anchors, axis, and reference angle using the world anchor and world axis.

Public Attributes

b2Vec2 localAnchor1
The local anchor point relative to body1's origin.
b2Vec2 localAnchor2
The local anchor point relative to body2's origin.
b2Vec2 localAxis1
The local translation axis in body1.
float32 | referenceAngle
The constrained angle between the bodies: body2_angle - body1_angle.
bool | enableLimit
Enable/disable the joint limit.
float32 | lowerTranslation
The lower translation limit, usually in meters.
float32 | upperTranslation
The upper translation limit, usually in meters.
bool | enableMotor
Enable/disable the joint motor.
float32 | maxMotorForce
The maximum motor torque, usually in N-m.
float32 | motorSpeed
The desired motor speed in radians per second.

Detailed Description

Prismatic joint definition.

This requires defining a line of motion using an axis and an anchor point. The definition uses local anchor points and a local axis so that the initial configuration can violate the constraint slightly. The joint translation is zero when the local anchor points coincide in world space. Using local anchors and a local axis helps when saving and loading a game.

Member Function Documentation

void b2PrismaticJointDef::Initialize | ( | b2Body * | body1,
 |  | b2Body * | body2,
 |  | const b2Vec2 & | anchor,
 |  | const b2Vec2 & | axis
 | ) |  |

Initialize the bodies, anchors, axis, and reference angle using the world anchor and world axis.

The documentation for this struct was generated from the following files:
  • b2PrismaticJoint.h
  • b2PrismaticJoint.cpp


Box2D: Member List

b2PrismaticJointDef Member List

This is the complete list of members for b2PrismaticJointDef, including all inherited members.

body1 | b2JointDef
body2 | b2JointDef
collideConnected | b2JointDef
enableLimit | b2PrismaticJointDef
enableMotor | b2PrismaticJointDef
Initialize(b2Body *body1, b2Body *body2, const b2Vec2 &anchor, const b2Vec2 &axis) | b2PrismaticJointDef
localAnchor1 | b2PrismaticJointDef
localAnchor2 | b2PrismaticJointDef
localAxis1 | b2PrismaticJointDef
lowerTranslation | b2PrismaticJointDef
maxMotorForce | b2PrismaticJointDef
motorSpeed | b2PrismaticJointDef
referenceAngle | b2PrismaticJointDef
type | b2JointDef
upperTranslation | b2PrismaticJointDef
userData | b2JointDef


Box2D: b2PulleyJoint Class Reference

b2PulleyJoint Class Reference

The pulley joint is connected to two bodies and two fixed ground points. More...

Inheritance diagram for b2PulleyJoint:

b2Joint

List of all members.

Public Member Functions

b2Vec2 | GetAnchor1 () const
Get the anchor point on body1 in world coordinates.
b2Vec2 | GetAnchor2 () const
Get the anchor point on body2 in world coordinates.
b2Vec2 | GetReactionForce () const
Get the reaction force on body2 at the joint anchor.
float32 | GetReactionTorque () const
Get the reaction torque on body2.
b2Vec2 | GetGroundAnchor1 () const
Get the first ground anchor.
b2Vec2 | GetGroundAnchor2 () const
Get the second ground anchor.
float32 | GetLength1 () const
Get the current length of the segment attached to body1.
float32 | GetLength2 () const
Get the current length of the segment attached to body2.
float32 | GetRatio () const
Get the pulley ratio.

Detailed Description

The pulley joint is connected to two bodies and two fixed ground points.

The pulley supports a ratio such that: length1 + ratio * length2 <= constant Yes, the force transmitted is scaled by the ratio. The pulley also enforces a maximum length limit on both sides. This is useful to prevent one side of the pulley hitting the top.

The documentation for this class was generated from the following files:
  • b2PulleyJoint.h
  • b2PulleyJoint.cpp


Box2D: Member List

b2PulleyJoint Member List

This is the complete list of members for b2PulleyJoint, including all inherited members.

GetAnchor1() const | b2PulleyJoint | [virtual]
GetAnchor2() const | b2PulleyJoint | [virtual]
GetBody1() | b2Joint | [inline]
GetBody2() | b2Joint | [inline]
GetGroundAnchor1() const | b2PulleyJoint |
GetGroundAnchor2() const | b2PulleyJoint |
GetLength1() const | b2PulleyJoint |
GetLength2() const | b2PulleyJoint |
GetNext() | b2Joint | [inline]
GetRatio() const | b2PulleyJoint |
GetReactionForce() const | b2PulleyJoint | [virtual]
GetReactionTorque() const | b2PulleyJoint | [virtual]
GetType() const | b2Joint | [inline]
GetUserData() | b2Joint | [inline]
SetUserData(void *data) | b2Joint | [inline]


Box2D: b2PulleyJointDef Struct Reference

b2PulleyJointDef Struct Reference

Pulley joint definition. More...

Inheritance diagram for b2PulleyJointDef:

b2JointDef

List of all members.

Public Member Functions

void | Initialize (b2Body *body1, b2Body *body2, const b2Vec2 &groundAnchor1, const b2Vec2 &groundAnchor2, const b2Vec2 &anchor1, const b2Vec2 &anchor2, float32 ratio)
Initialize the bodies, anchors, lengths, max lengths, and ratio using the world anchors.

Public Attributes

b2Vec2 groundAnchor1
The first ground anchor in world coordinates. This point never moves.
b2Vec2 groundAnchor2
The second ground anchor in world coordinates. This point never moves.
b2Vec2 localAnchor1
The local anchor point relative to body1's origin.
b2Vec2 localAnchor2
The local anchor point relative to body2's origin.
float32 | length1
The a reference length for the segment attached to body1.
float32 | maxLength1
The maximum length of the segment attached to body1.
float32 | length2
The a reference length for the segment attached to body2.
float32 | maxLength2
The maximum length of the segment attached to body2.
float32 | ratio
The pulley ratio, used to simulate a block-and-tackle.

Detailed Description

Pulley joint definition.

This requires two ground anchors, two dynamic body anchor points, max lengths for each side, and a pulley ratio.

The documentation for this struct was generated from the following files:
  • b2PulleyJoint.h
  • b2PulleyJoint.cpp


Box2D: Member List

b2PulleyJointDef Member List

This is the complete list of members for b2PulleyJointDef, including all inherited members.

body1 | b2JointDef
body2 | b2JointDef
collideConnected | b2JointDef
groundAnchor1 | b2PulleyJointDef
groundAnchor2 | b2PulleyJointDef
Initialize(b2Body *body1, b2Body *body2, const b2Vec2 &groundAnchor1, const b2Vec2 &groundAnchor2, const b2Vec2 &anchor1, const b2Vec2 &anchor2, float32 ratio) | b2PulleyJointDef
length1 | b2PulleyJointDef
length2 | b2PulleyJointDef
localAnchor1 | b2PulleyJointDef
localAnchor2 | b2PulleyJointDef
maxLength1 | b2PulleyJointDef
maxLength2 | b2PulleyJointDef
ratio | b2PulleyJointDef
type | b2JointDef
userData | b2JointDef


Box2D: b2RevoluteJoint Class Reference

b2RevoluteJoint Class Reference

A revolute joint constrains to bodies to share a common point while they are free to rotate about the point. More...

Inheritance diagram for b2RevoluteJoint:

b2Joint

List of all members.

Public Member Functions

b2Vec2 | GetAnchor1 () const
Get the anchor point on body1 in world coordinates.
b2Vec2 | GetAnchor2 () const
Get the anchor point on body2 in world coordinates.
b2Vec2 | GetReactionForce () const
Get the reaction force on body2 at the joint anchor.
float32 | GetReactionTorque () const
Get the reaction torque on body2.
float32 | GetJointAngle () const
Get the current joint angle in radians.
float32 | GetJointSpeed () const
Get the current joint angle speed in radians per second.
bool | IsLimitEnabled () const
Is the joint limit enabled?
void | EnableLimit (bool flag)
Enable/disable the joint limit.
float32 | GetLowerLimit () const
Get the lower joint limit in radians.
float32 | GetUpperLimit () const
Get the upper joint limit in radians.
void | SetLimits (float32 lower, float32 upper)
Set the joint limits in radians.
bool | IsMotorEnabled () const
Is the joint motor enabled?
void | EnableMotor (bool flag)
Enable/disable the joint motor.
void | SetMotorSpeed (float32 speed)
Set the motor speed in radians per second.
float32 | GetMotorSpeed () const
Get the motor speed in radians per second.
void | SetMaxMotorTorque (float32 torque)
Set the maximum motor torque, usually in N-m.
float32 | GetMotorTorque () const
Get the current motor torque, usually in N-m.

Detailed Description

A revolute joint constrains to bodies to share a common point while they are free to rotate about the point.

The relative rotation about the shared point is the joint angle. You can limit the relative rotation with a joint limit that specifies a lower and upper angle. You can use a motor to drive the relative rotation about the shared point. A maximum motor torque is provided so that infinite forces are not generated.

The documentation for this class was generated from the following files:
  • b2RevoluteJoint.h
  • b2RevoluteJoint.cpp


Box2D: Member List

b2RevoluteJoint Member List

This is the complete list of members for b2RevoluteJoint, including all inherited members.

EnableLimit(bool flag) | b2RevoluteJoint |
EnableMotor(bool flag) | b2RevoluteJoint |
GetAnchor1() const | b2RevoluteJoint | [virtual]
GetAnchor2() const | b2RevoluteJoint | [virtual]
GetBody1() | b2Joint | [inline]
GetBody2() | b2Joint | [inline]
GetJointAngle() const | b2RevoluteJoint |
GetJointSpeed() const | b2RevoluteJoint |
GetLowerLimit() const | b2RevoluteJoint |
GetMotorSpeed() const | b2RevoluteJoint | [inline]
GetMotorTorque() const | b2RevoluteJoint |
GetNext() | b2Joint | [inline]
GetReactionForce() const | b2RevoluteJoint | [virtual]
GetReactionTorque() const | b2RevoluteJoint | [virtual]
GetType() const | b2Joint | [inline]
GetUpperLimit() const | b2RevoluteJoint |
GetUserData() | b2Joint | [inline]
IsLimitEnabled() const | b2RevoluteJoint |
IsMotorEnabled() const | b2RevoluteJoint |
SetLimits(float32 lower, float32 upper) | b2RevoluteJoint |
SetMaxMotorTorque(float32 torque) | b2RevoluteJoint |
SetMotorSpeed(float32 speed) | b2RevoluteJoint |
SetUserData(void *data) | b2Joint | [inline]


Box2D: b2RevoluteJointDef Struct Reference

b2RevoluteJointDef Struct Reference

Revolute joint definition. More...

Inheritance diagram for b2RevoluteJointDef:

b2JointDef

List of all members.

Public Member Functions

void | Initialize (b2Body *body1, b2Body *body2, const b2Vec2 &anchor)
Initialize the bodies, anchors, and reference angle using the world anchor.

Public Attributes

b2Vec2 localAnchor1
The local anchor point relative to body1's origin.
b2Vec2 localAnchor2
The local anchor point relative to body2's origin.
float32 | referenceAngle
The body2 angle minus body1 angle in the reference state (radians).
bool | enableLimit
A flag to enable joint limits.
float32 | lowerAngle
The lower angle for the joint limit (radians).
float32 | upperAngle
The upper angle for the joint limit (radians).
bool | enableMotor
A flag to enable the joint motor.
float32 | motorSpeed
The desired motor speed. Usually in radians per second.
float32 | maxMotorTorque
The maximum motor torque used to achieve the desired motor speed.

Detailed Description

Revolute joint definition.

This requires defining an anchor point where the bodies are joined. The definition uses local anchor points so that the initial configuration can violate the constraint slightly. You also need to specify the initial relative angle for joint limits. This helps when saving and loading a game. The local anchor points are measured from the body's origin rather than the center of mass because: 1. you might not know where the center of mass will be. 2. if you add/remove shapes from a body and recompute the mass, the joints will be broken.

Member Function Documentation

void b2RevoluteJointDef::Initialize | ( | b2Body * | body1,
 |  | b2Body * | body2,
 |  | const b2Vec2 & | anchor
 | ) |  |

Initialize the bodies, anchors, and reference angle using the world anchor.

Member Data Documentation

float32 b2RevoluteJointDef::maxMotorTorque

The maximum motor torque used to achieve the desired motor speed.

Usually in N-m.

The documentation for this struct was generated from the following files:
  • b2RevoluteJoint.h
  • b2RevoluteJoint.cpp


Box2D: Member List

b2RevoluteJointDef Member List

This is the complete list of members for b2RevoluteJointDef, including all inherited members.

body1 | b2JointDef
body2 | b2JointDef
collideConnected | b2JointDef
enableLimit | b2RevoluteJointDef
enableMotor | b2RevoluteJointDef
Initialize(b2Body *body1, b2Body *body2, const b2Vec2 &anchor) | b2RevoluteJointDef
localAnchor1 | b2RevoluteJointDef
localAnchor2 | b2RevoluteJointDef
lowerAngle | b2RevoluteJointDef
maxMotorTorque | b2RevoluteJointDef
motorSpeed | b2RevoluteJointDef
referenceAngle | b2RevoluteJointDef
type | b2JointDef
upperAngle | b2RevoluteJointDef
userData | b2JointDef


Box2D: b2Segment Struct Reference

b2Segment Struct Reference

A line segment. More...

List of all members.

Public Member Functions

bool TestSegment (float32 *lambda, b2Vec2 *normal, const b2Segment &segment, float32 maxLambda) const
Ray cast against this segment with another segment.

Public Attributes

b2Vec2 p1
the starting point
b2Vec2 p2
the ending point

Detailed Description

A line segment.
The documentation for this struct was generated from the following files:
  • b2Collision.h
  • b2Collision.cpp


Box2D: Member List

b2Segment Member List

This is the complete list of members for b2Segment, including all inherited members.

p1 | b2Segment
p2 | b2Segment
TestSegment(float32 *lambda, b2Vec2 *normal, const b2Segment &segment, float32 maxLambda) const | b2Segment


Box2D: b2Shape Class Reference

b2Shape Class Reference

A shape is used for collision detection. More...

Inheritance diagram for b2Shape:

b2CircleShape b2PolygonShape

List of all members.

Public Member Functions

b2ShapeType | GetType () const
Get the type of this shape.
bool | IsSensor () const
Is this shape a sensor (non-solid)?
void | SetFilterData (const b2FilterData &filter)
Set the contact filtering data.
const b2FilterData & | GetFilterData () const
Get the contact filtering data.
b2Body * GetBody ()
Get the parent body of this shape.
b2Shape * GetNext ()
Get the next shape in the parent body's shape list.
void * | GetUserData ()
Get the user data that was assigned in the shape definition.
void | SetUserData (void *data)
Set the user data. Use this to store your application specific data.
virtual bool | TestPoint (const b2XForm &xf, const b2Vec2 &p) const =0
Test a point for containment in this shape.
virtual bool | TestSegment (const b2XForm &xf, float32 *lambda, b2Vec2 *normal, const b2Segment &segment, float32 maxLambda) const =0
Perform a ray cast against this shape.
virtual void | ComputeAABB (b2AABB *aabb, const b2XForm &xf) const =0
Given a transform, compute the associated axis aligned bounding box for this shape.
virtual void | ComputeSweptAABB (b2AABB *aabb, const b2XForm &xf1, const b2XForm &xf2) const =0
Given two transforms, compute the associated swept axis aligned bounding box for this shape.
virtual void | ComputeMass (b2MassData *massData) const =0
Compute the mass properties of this shape using its dimensions and density.
float32 | GetSweepRadius () const
Get the maximum radius about the parent body's center of mass.
float32 | GetFriction () const
Get the coefficient of friction.
float32 | GetRestitution () const
Get the coefficient of restitution.

Friends

class | b2Body
class | b2World

Detailed Description

A shape is used for collision detection.

Shapes are created in b2World. You can use shape for collision detection before they are attached to the world.

Warning:
you cannot reuse shapes.

Member Function Documentation

b2ShapeType b2Shape::GetType ( ) const [inline]

Get the type of this shape.

You can use this to down cast to the concrete shape.

Returns:
the shape type.

bool b2Shape::IsSensor ( ) const [inline]

Is this shape a sensor (non-solid)?

Returns:
the true if the shape is a sensor.

void b2Shape::SetFilterData ( const b2FilterData & filter ) [inline]

Set the contact filtering data.

You must call b2World::Refilter to correct existing contacts/non-contacts.

b2Body * b2Shape::GetBody ( ) [inline]

Get the parent body of this shape.

This is NULL if the shape is not attached.

Returns:
the parent body.

b2Shape * b2Shape::GetNext ( ) [inline]

Get the next shape in the parent body's shape list.

Returns:
the next shape.

void * b2Shape::GetUserData ( ) [inline]

Get the user data that was assigned in the shape definition.

Use this to store your application specific data.

virtual bool b2Shape::TestPoint | ( | const b2XForm & | xf,
 |  | const b2Vec2 & | p |
 | ) |  |  | const [pure virtual]

Test a point for containment in this shape.

This only works for convex shapes.

Parameters:
xf | the shape world transform.
p | a point in world coordinates.

Implemented in b2CircleShape, and b2PolygonShape.

virtual bool b2Shape::TestSegment | ( | const b2XForm & | xf,
 |  | float32 * | lambda,
 |  | b2Vec2 * | normal,
 |  | const b2Segment & | segment,
 |  | float32 | maxLambda |
 | ) |  |  | const [pure virtual]

Perform a ray cast against this shape.

Parameters:
xf | the shape world transform.
lambda | returns the hit fraction. You can use this to compute the contact point p = (1 - lambda) * segment.p1 + lambda * segment.p2.
normal | returns the normal at the contact point. If there is no intersection, the normal is not set.
segment | defines the begin and end point of the ray cast.
maxLambda | a number typically in the range [0,1].
Returns:
true if there was an intersection.

Implemented in b2CircleShape, and b2PolygonShape.

virtual void b2Shape::ComputeAABB | ( | b2AABB * | aabb,
 |  | const b2XForm & | xf |
 | ) |  |  | const [pure virtual]

Given a transform, compute the associated axis aligned bounding box for this shape.

Parameters:
aabb | returns the axis aligned box.
xf | the world transform of the shape.

Implemented in b2CircleShape, and b2PolygonShape.

virtual void b2Shape::ComputeSweptAABB | ( | b2AABB * | aabb,
 |  | const b2XForm & | xf1,
 |  | const b2XForm & | xf2 |
 | ) |  |  | const [pure virtual]

Given two transforms, compute the associated swept axis aligned bounding box for this shape.

Parameters:
aabb | returns the axis aligned box.
xf1 | the starting shape world transform.
xf2 | the ending shape world transform.

Implemented in b2CircleShape, and b2PolygonShape.

virtual void b2Shape::ComputeMass ( b2MassData * massData ) const [pure virtual]

Compute the mass properties of this shape using its dimensions and density.

The inertia tensor is computed about the local origin, not the centroid.

Parameters:
massData returns the mass data for this shape.

Implemented in b2CircleShape, and b2PolygonShape.

The documentation for this class was generated from the following files:
  • b2Shape.h
  • b2Shape.cpp


Box2D: Member List

b2Shape Member List

This is the complete list of members for b2Shape, including all inherited members.

ComputeAABB(b2AABB *aabb, const b2XForm &xf) const =0 | b2Shape | [pure virtual]
ComputeMass(b2MassData *massData) const =0 | b2Shape | [pure virtual]
ComputeSweptAABB(b2AABB *aabb, const b2XForm &xf1, const b2XForm &xf2) const =0 | b2Shape | [pure virtual]
GetBody() | b2Shape | [inline]
GetFilterData() const | b2Shape | [inline]
GetFriction() const | b2Shape | [inline]
GetNext() | b2Shape | [inline]
GetRestitution() const | b2Shape | [inline]
GetSweepRadius() const | b2Shape | [inline]
GetType() const | b2Shape | [inline]
GetUserData() | b2Shape | [inline]
IsSensor() const | b2Shape | [inline]
SetFilterData(const b2FilterData &filter) | b2Shape | [inline]
SetUserData(void *data) | b2Shape | [inline]
TestPoint(const b2XForm &xf, const b2Vec2 &p) const =0 | b2Shape | [pure virtual]
TestSegment(const b2XForm &xf, float32 *lambda, b2Vec2 *normal, const b2Segment &segment, float32 maxLambda) const =0 | b2Shape | [pure virtual]


Box2D: b2ShapeDef Struct Reference

b2ShapeDef Struct Reference

A shape definition is used to construct a shape. More...

Inheritance diagram for b2ShapeDef:

b2CircleDef b2PolygonDef

List of all members.

Public Member Functions

b2ShapeDef ()
The constructor sets the default shape definition values.

Public Attributes

b2ShapeType | type
Holds the shape type for down-casting.
void * | userData
Use this to store application specify shape data.
float32 | friction
The shape's friction coefficient, usually in the range [0,1].
float32 | restitution
The shape's restitution (elasticity) usually in the range [0,1].
float32 | density
The shape's density, usually in kg/m^2.
bool | isSensor
A sensor shape collects contact information but never generates a collision response.
b2FilterData filter
Contact filtering data.

Detailed Description

A shape definition is used to construct a shape.

This class defines an abstract shape definition. You can reuse shape definitions safely.

Member Data Documentation

bool b2ShapeDef::isSensor

A sensor shape collects contact information but never generates a collision response.

The documentation for this struct was generated from the following file:
  • b2Shape.h


Box2D: Member List

b2ShapeDef Member List

This is the complete list of members for b2ShapeDef, including all inherited members.

b2ShapeDef() | b2ShapeDef | [inline]
density | b2ShapeDef |
filter | b2ShapeDef |
friction | b2ShapeDef |
isSensor | b2ShapeDef |
restitution | b2ShapeDef |
type | b2ShapeDef |
userData | b2ShapeDef |


Box2D: b2Sweep Struct Reference

b2Sweep Struct Reference

This describes the motion of a body/shape for TOI computation. More...

List of all members.

Public Member Functions

void | GetXForm (b2XForm *xf, float32 t) const
Get the interpolated transform at a specific time.
void | Advance (float32 t)
Advance the sweep forward, yielding a new initial state.

Public Attributes

b2Vec2 localCenter
local center of mass position
b2Vec2 c
center world positions
float32 | a
world angles
float32 | t0
time interval = [t0,1], where t0 is in [0,1]

Detailed Description

This describes the motion of a body/shape for TOI computation.

Shapes are defined with respect to the body origin, which may no coincide with the center of mass. However, to support dynamics we must interpolate the center of mass position.

Member Function Documentation

void b2Sweep::GetXForm | ( | b2XForm * | xf,
 |  | float32 | t |
 | ) |  |  | const

Get the interpolated transform at a specific time.

Parameters:
t the normalized time in [0,1].

void b2Sweep::Advance ( float32 t )

Advance the sweep forward, yielding a new initial state.

Parameters:
t the new initial time.

The documentation for this struct was generated from the following files:
  • b2Math.h
  • b2Math.cpp


Box2D: Member List

b2Sweep Member List

This is the complete list of members for b2Sweep, including all inherited members.

a | b2Sweep
Advance(float32 t) | b2Sweep
c | b2Sweep
GetXForm(b2XForm *xf, float32 t) const | b2Sweep
localCenter | b2Sweep
t0 | b2Sweep


Box2D: b2Vec2 Struct Reference

b2Vec2 Struct Reference

A 2D column vector. More...

List of all members.

Public Member Functions

b2Vec2 ()
Default constructor does nothing (for performance).
b2Vec2 (float32 x, float32 y)
Construct using coordinates.
void | SetZero ()
Set this vector to all zeros.
void | Set (float32 x_, float32 y_)
Set this vector to some specified coordinates.
b2Vec2 | operator- () const
Negate this vector.
void | operator+= (const b2Vec2 &v)
Add a vector to this vector.
void | operator-= (const b2Vec2 &v)
Subtract a vector from this vector.
void | operator *= (float32 a)
Multiply this vector by a scalar.
float32 | Length () const
Get the length of this vector (the norm).
float32 | LengthSquared () const
Get the length squared.
float32 | Normalize ()
Convert this vector into a unit vector. Returns the length.
bool | IsValid () const
Does this vector contain finite coordinates?

Detailed Description

A 2D column vector.

Member Function Documentation

float32 b2Vec2::LengthSquared ( ) const [inline]

Get the length squared.

For performance, use this instead of b2Vec2::Length (if possible).

The documentation for this struct was generated from the following file:
  • b2Math.h


Box2D: Member List

b2Vec2 Member List

This is the complete list of members for b2Vec2, including all inherited members.

b2Vec2() | b2Vec2 | [inline]
b2Vec2(float32 x, float32 y) | b2Vec2 | [inline]
IsValid() const | b2Vec2 | [inline]
Length() const | b2Vec2 | [inline]
LengthSquared() const | b2Vec2 | [inline]
Normalize() | b2Vec2 | [inline]
operator *=(float32 a) | b2Vec2 | [inline]
operator+=(const b2Vec2 &v) | b2Vec2 | [inline]
operator-() const | b2Vec2 | [inline]
operator-=(const b2Vec2 &v) | b2Vec2 | [inline]
Set(float32 x_, float32 y_) | b2Vec2 | [inline]
SetZero() | b2Vec2 | [inline]


Box2D: b2Version Struct Reference

b2Version Struct Reference

Version numbering scheme. More...

List of all members.

Public Attributes

int32 | major
significant changes
int32 | minor
incremental changes
int32 | revision
bug fixes

Detailed Description

Version numbering scheme.

See http://en.wikipedia.org/wiki/Software_versioning

The documentation for this struct was generated from the following file:
  • b2Settings.h


Box2D: Member List

b2Version Member List

This is the complete list of members for b2Version, including all inherited members.

major | b2Version
minor | b2Version
revision | b2Version


Box2D: b2World Class Reference

b2World Class Reference

The world class manages all physics entities, dynamic simulation, and asynchronous queries. More...

List of all members.

Public Member Functions

b2World (const b2AABB &worldAABB, const b2Vec2 &gravity, bool doSleep)
Construct a world object.
~b2World ()
Destruct the world. All physics entities are destroyed and all heap memory is released.
void | SetDestructionListener (b2DestructionListener *listener)
Register a destruction listener.
void | SetBoundaryListener (b2BoundaryListener *listener)
Register a broad-phase boundary listener.
void | SetContactFilter (b2ContactFilter *filter)
Register a contact filter to provide specific control over collision.
void | SetContactListener (b2ContactListener *listener)
Register a contact event listener.
void | SetDebugDraw (b2DebugDraw *debugDraw)
Register a routine for debug drawing.
b2Body * | CreateBody (const b2BodyDef *def)
Create a rigid body given a definition.
void | DestroyBody (b2Body *body)
Destroy a rigid body given a definition.
b2Joint * | CreateJoint (const b2JointDef *def)
Create a joint to constrain bodies together.
void | DestroyJoint (b2Joint *joint)
Destroy a joint.
b2Body * GetGroundBody ()
The world provides a single static ground body with no collision shapes.
void | Step (float32 timeStep, int32 iterations)
Take a time step.
int32 | Query (const b2AABB &aabb, b2Shape **shapes, int32 maxCount)
Query the world for all shapes that potentially overlap the provided AABB.
b2Body * GetBodyList ()
Get the world body list.
b2Joint * GetJointList ()
Get the world joint list.
void | Refilter (b2Shape *shape)
Re-filter a shape. This re-runs contact filtering on a shape.
void | SetWarmStarting (bool flag)
Enable/disable warm starting. For testing.
void | SetPositionCorrection (bool flag)
Enable/disable position correction. For testing.
void | SetContinuousPhysics (bool flag)
Enable/disable continuous physics. For testing.
void | Validate ()
Perform validation of internal data structures.
int32 | GetProxyCount () const
Get the number of broad-phase proxies.
int32 | GetPairCount () const
Get the number of broad-phase pairs.
int32 | GetBodyCount () const
Get the number of bodies.
int32 | GetJointCount () const
Get the number joints.
int32 | GetContactCount () const
Get the number of contacts (each may have 0 or more contact points).
void | SetGravity (const b2Vec2 &gravity)
Change the global gravity vector.

Friends

class | b2Body

Detailed Description

The world class manages all physics entities, dynamic simulation, and asynchronous queries.

The world also contains efficient memory management facilities.

Constructor & Destructor Documentation

b2World::b2World | ( | const b2AABB & | worldAABB,
 |  | const b2Vec2 & | gravity,
 |  | bool | doSleep
 | ) |  |

Construct a world object.

Parameters:
worldAABB | a bounding box that completely encompasses all your shapes.
gravity | the world gravity vector.
doSleep | improve performance by not simulating inactive bodies.

Member Function Documentation

void b2World::SetContactFilter ( b2ContactFilter * filter )

Register a contact filter to provide specific control over collision.

Otherwise the default filter is used (b2_defaultFilter).

void b2World::SetDebugDraw ( b2DebugDraw * debugDraw )

Register a routine for debug drawing.

The debug draw functions are called inside the b2World::Step method, so make sure your renderer is ready to consume draw commands when you call Step().

b2Body * b2World::CreateBody ( const b2BodyDef * def )

Create a rigid body given a definition.

No reference to the definition is retained.

Warning:
This function is locked during callbacks.

void b2World::DestroyBody ( b2Body * body )

Destroy a rigid body given a definition.

No reference to the definition is retained. This function is locked during callbacks.

Warning:
This automatically deletes all associated shapes and joints.

This function is locked during callbacks.

b2Joint * b2World::CreateJoint ( const b2JointDef * def )

Create a joint to constrain bodies together.

No reference to the definition is retained. This may cause the connected bodies to cease colliding.

Warning:
This function is locked during callbacks.

void b2World::DestroyJoint ( b2Joint * joint )

Destroy a joint.

This may cause the connected bodies to begin colliding.

Warning:
This function is locked during callbacks.

b2Body * b2World::GetGroundBody ( ) [inline]

The world provides a single static ground body with no collision shapes.

You can use this to simplify the creation of joints and static shapes.

void b2World::Step | ( | float32 | timeStep,
 |  | int32 | iterations
 | ) |  |

Take a time step.

This performs collision detection, integration, and constraint solution.

Parameters:
timeStep | the amount of time to simulate, this should not vary.
iterations | the number of iterations to be used by the constraint solver.

int32 b2World::Query | ( | const b2AABB & | aabb,
 |  | b2Shape ** | shapes,
 |  | int32 | maxCount
 | ) |  |

Query the world for all shapes that potentially overlap the provided AABB.

You provide a shape pointer buffer of specified size. The number of shapes found is returned.

Parameters:
aabb | the query box.
shapes | a user allocated shape pointer array of size maxCount (or greater).
maxCount | the capacity of the shapes array.
Returns:
the number of shapes found in aabb.

b2Body * b2World::GetBodyList ( ) [inline]

Get the world body list.

With the returned body, use b2Body::GetNext to get the next body in the world list. A NULL body indicates the end of the list.

Returns:
the head of the world body list.

b2Joint * b2World::GetJointList ( ) [inline]

Get the world joint list.

With the returned joint, use b2Joint::GetNext to get the next joint in the world list. A NULL joint indicates the end of the list.

Returns:
the head of the world joint list.

The documentation for this class was generated from the following files:
  • b2World.h
  • b2World.cpp


Box2D: Member List

b2World Member List

This is the complete list of members for b2World, including all inherited members.

b2World(const b2AABB &worldAABB, const b2Vec2 &gravity, bool doSleep) | b2World |
CreateBody(const b2BodyDef *def) | b2World |
CreateJoint(const b2JointDef *def) | b2World |
DestroyBody(b2Body *body) | b2World |
DestroyJoint(b2Joint *joint) | b2World |
GetBodyCount() const | b2World | [inline]
GetBodyList() | b2World | [inline]
GetContactCount() const | b2World | [inline]
GetGroundBody() | b2World | [inline]
GetJointCount() const | b2World | [inline]
GetJointList() | b2World | [inline]
GetPairCount() const | b2World |
GetProxyCount() const | b2World |
Query(const b2AABB &aabb, b2Shape **shapes, int32 maxCount) | b2World |
Refilter(b2Shape *shape) | b2World |
SetBoundaryListener(b2BoundaryListener *listener) | b2World |
SetContactFilter(b2ContactFilter *filter) | b2World |
SetContactListener(b2ContactListener *listener) | b2World |
SetContinuousPhysics(bool flag) | b2World | [inline]
SetDebugDraw(b2DebugDraw *debugDraw) | b2World |
SetDestructionListener(b2DestructionListener *listener) | b2World |
SetGravity(const b2Vec2 &gravity) | b2World | [inline]
SetPositionCorrection(bool flag) | b2World | [inline]
SetWarmStarting(bool flag) | b2World | [inline]
Step(float32 timeStep, int32 iterations) | b2World |
Validate() | b2World |
~b2World() | b2World |


Box2D: b2XForm Struct Reference

b2XForm Struct Reference

A transform contains translation and rotation. More...

List of all members.

Public Member Functions

b2XForm ()
The default constructor does nothing (for performance).
b2XForm (const b2Vec2 &position, const b2Mat22 &R)
Initialize using a position vector and a rotation matrix.
void SetIdentity ()
Set this to the identity transform.

Detailed Description

A transform contains translation and rotation.

It is used to represent the position and orientation of rigid frames.

The documentation for this struct was generated from the following file:
  • b2Math.h


Box2D: Member List

b2XForm Member List

This is the complete list of members for b2XForm, including all inherited members.

b2XForm() | b2XForm | [inline]
b2XForm(const b2Vec2 &position, const b2Mat22 &R) | b2XForm | [inline]
SetIdentity() | b2XForm | [inline]


Box2D: Hierarchical Index

Box2D Class Hierarchy

This inheritance list is sorted roughly, but not completely, alphabetically:
  • b2AABB
  • b2Body
  • b2BodyDef
  • b2BoundaryListener
  • b2Color
  • b2Contact
  • b2ContactEdge
  • b2ContactFilter
  • b2ContactID
  • b2ContactID::Features
  • b2ContactListener
  • b2ContactPoint
  • b2ContactResult
  • b2DebugDraw
  • b2DestructionListener
  • b2FilterData
  • b2Joint
    • b2DistanceJoint
    • b2GearJoint
    • b2MouseJoint
    • b2PrismaticJoint
    • b2PulleyJoint
    • b2RevoluteJoint
  • b2JointDef
    • b2DistanceJointDef
    • b2GearJointDef
    • b2MouseJointDef
    • b2PrismaticJointDef
    • b2PulleyJointDef
    • b2RevoluteJointDef
  • b2JointEdge
  • b2Manifold
  • b2ManifoldPoint
  • b2MassData
  • b2Mat22
  • b2OBB
  • b2Segment
  • b2Shape
    • b2CircleShape
    • b2PolygonShape
  • b2ShapeDef
    • b2CircleDef
    • b2PolygonDef
  • b2Sweep
  • b2Vec2
  • b2Version
  • b2World
  • b2XForm


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- a -

  • a : b2Sweep
  • Add() : b2ContactListener
  • Advance() : b2Sweep
  • allowSleep : b2BodyDef
  • AllowSleeping() : b2Body
  • angle : b2BodyDef
  • angularDamping : b2BodyDef
  • AppendFlags() : b2DebugDraw
  • ApplyForce() : b2Body
  • ApplyImpulse() : b2Body
  • ApplyTorque() : b2Body


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- j -

  • joint : b2JointEdge
  • joint1 : b2GearJointDef
  • joint2 : b2GearJointDef


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- k -

  • key : b2ContactID


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- l -

  • length : b2DistanceJointDef
  • Length() : b2Vec2
  • length1 : b2PulleyJointDef
  • length2 : b2PulleyJointDef
  • LengthSquared() : b2Vec2
  • linearDamping : b2BodyDef
  • localAnchor1 : b2PrismaticJointDef , b2PulleyJointDef , b2RevoluteJointDef , b2DistanceJointDef
  • localAnchor2 : b2DistanceJointDef , b2PulleyJointDef , b2PrismaticJointDef , b2RevoluteJointDef
  • localAxis1 : b2PrismaticJointDef
  • localCenter : b2Sweep
  • localPoint1 : b2ManifoldPoint
  • localPoint2 : b2ManifoldPoint
  • lowerAngle : b2RevoluteJointDef
  • lowerBound : b2AABB
  • lowerTranslation : b2PrismaticJointDef


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- m -

  • b2Mat22() : b2Mat22
  • major : b2Version
  • maskBits : b2FilterData
  • mass : b2MassData
  • massData : b2BodyDef
  • maxForce : b2MouseJointDef
  • maxLength1 : b2PulleyJointDef
  • maxLength2 : b2PulleyJointDef
  • maxMotorForce : b2PrismaticJointDef
  • maxMotorTorque : b2RevoluteJointDef
  • minor : b2Version
  • motorSpeed : b2RevoluteJointDef , b2PrismaticJointDef


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- n -

  • next : b2ContactEdge , b2JointEdge
  • normal : b2ContactPoint , b2ContactResult , b2Manifold
  • normalImpulse : b2ManifoldPoint , b2ContactResult
  • Normalize() : b2Vec2


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- o -

  • operator *=() : b2Vec2
  • operator+=() : b2Vec2
  • operator-() : b2Vec2
  • operator-=() : b2Vec2
  • other : b2ContactEdge , b2JointEdge


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- ~ -

  • ~b2World() : b2World


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- b -

  • b2BodyDef() : b2BodyDef
  • body1 : b2JointDef
  • body2 : b2JointDef


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- c -

  • c : b2Sweep
  • categoryBits : b2FilterData
  • center : b2MassData , b2OBB
  • Centroid() : b2PolygonShape
  • ClearFlags() : b2DebugDraw
  • collideConnected : b2JointDef
  • ComputeAABB() : b2CircleShape , b2PolygonShape , b2Shape
  • ComputeMass() : b2CircleShape , b2PolygonShape , b2Shape
  • ComputeSweptAABB() : b2Shape , b2PolygonShape , b2CircleShape
  • contact : b2ContactEdge
  • CreateBody() : b2World
  • CreateJoint() : b2World
  • CreateShape() : b2Body


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- d -

  • dampingRatio : b2DistanceJointDef , b2MouseJointDef
  • density : b2ShapeDef
  • DestroyBody() : b2World
  • DestroyJoint() : b2World
  • DestroyShape() : b2Body
  • DrawCircle() : b2DebugDraw
  • DrawPolygon() : b2DebugDraw
  • DrawSegment() : b2DebugDraw
  • DrawSolidCircle() : b2DebugDraw
  • DrawSolidPolygon() : b2DebugDraw
  • DrawXForm() : b2DebugDraw


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- e -

  • e_aabbBit : b2DebugDraw
  • e_centerOfMassBit : b2DebugDraw
  • e_coreShapeBit : b2DebugDraw
  • e_jointBit : b2DebugDraw
  • e_obbBit : b2DebugDraw
  • e_pairBit : b2DebugDraw
  • e_shapeBit : b2DebugDraw
  • enableLimit : b2PrismaticJointDef , b2RevoluteJointDef
  • EnableLimit() : b2PrismaticJoint , b2RevoluteJoint
  • EnableMotor() : b2RevoluteJoint
  • enableMotor : b2RevoluteJointDef
  • EnableMotor() : b2PrismaticJoint
  • enableMotor : b2PrismaticJointDef
  • extents : b2OBB


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- f -

  • filter : b2ShapeDef
  • fixedRotation : b2BodyDef
  • flip : b2ContactID::Features
  • frequencyHz : b2MouseJointDef , b2DistanceJointDef
  • friction : b2ShapeDef , b2ContactPoint


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- g -

  • GetAnchor1() : b2DistanceJoint , b2GearJoint , b2MouseJoint , b2PrismaticJoint , b2Joint , b2PulleyJoint , b2RevoluteJoint
  • GetAnchor2() : b2DistanceJoint , b2GearJoint , b2Joint , b2MouseJoint , b2PrismaticJoint , b2PulleyJoint , b2RevoluteJoint
  • GetAngle() : b2Body , b2Mat22
  • GetAngularVelocity() : b2Body
  • GetBody() : b2Shape
  • GetBody1() : b2Joint
  • GetBody2() : b2Joint
  • GetBodyCount() : b2World
  • GetBodyList() : b2World
  • GetCentroid() : b2PolygonShape
  • GetContactCount() : b2World
  • GetCoreVertices() : b2PolygonShape
  • GetFilterData() : b2Shape
  • GetFirstVertex() : b2PolygonShape
  • GetFlags() : b2DebugDraw
  • GetFriction() : b2Shape
  • GetGroundAnchor1() : b2PulleyJoint
  • GetGroundAnchor2() : b2PulleyJoint
  • GetGroundBody() : b2World
  • GetInertia() : b2Body
  • GetJointAngle() : b2RevoluteJoint
  • GetJointCount() : b2World
  • GetJointList() : b2Body , b2World
  • GetJointSpeed() : b2PrismaticJoint , b2RevoluteJoint
  • GetJointTranslation() : b2PrismaticJoint
  • GetLength1() : b2PulleyJoint
  • GetLength2() : b2PulleyJoint
  • GetLinearVelocity() : b2Body
  • GetLinearVelocityFromLocalPoint() : b2Body
  • GetLinearVelocityFromWorldPoint() : b2Body
  • GetLocalCenter() : b2Body
  • GetLocalPoint() : b2Body
  • GetLocalPosition() : b2CircleShape
  • GetLocalVector() : b2Body
  • GetLowerLimit() : b2PrismaticJoint , b2RevoluteJoint
  • GetManifoldCount() : b2Contact
  • GetManifolds() : b2Contact
  • GetMass() : b2Body
  • GetMotorForce() : b2PrismaticJoint
  • GetMotorSpeed() : b2PrismaticJoint , b2RevoluteJoint
  • GetMotorTorque() : b2RevoluteJoint
  • GetNext() : b2Shape , b2Body , b2Contact , b2Joint
  • GetNormals() : b2PolygonShape
  • GetOBB() : b2PolygonShape
  • GetPairCount() : b2World
  • GetPosition() : b2Body
  • GetProxyCount() : b2World
  • GetRadius() : b2CircleShape
  • GetRatio() : b2GearJoint , b2PulleyJoint
  • GetReactionForce() : b2PulleyJoint , b2PrismaticJoint , b2GearJoint , b2MouseJoint , b2Joint , b2RevoluteJoint , b2DistanceJoint
  • GetReactionTorque() : b2PrismaticJoint , b2Joint , b2MouseJoint , b2RevoluteJoint , b2PulleyJoint , b2DistanceJoint , b2GearJoint
  • GetRestitution() : b2Shape
  • GetShape1() : b2Contact
  • GetShape2() : b2Contact
  • GetShapeList() : b2Body
  • GetSweepRadius() : b2Shape
  • GetType() : b2Joint , b2Shape
  • GetUpperLimit() : b2PrismaticJoint , b2RevoluteJoint
  • GetUserData() : b2Body , b2Shape , b2Joint
  • GetVertexCount() : b2PolygonShape
  • GetVertices() : b2PolygonShape
  • GetWorld() : b2Body
  • GetWorldCenter() : b2Body
  • GetWorldPoint() : b2Body
  • GetWorldVector() : b2Body
  • GetXForm() : b2Sweep , b2Body
  • groundAnchor1 : b2PulleyJointDef
  • groundAnchor2 : b2PulleyJointDef
  • groupIndex : b2FilterData


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- i -

  • I : b2MassData
  • id : b2ManifoldPoint , b2ContactResult , b2ContactPoint
  • incidentEdge : b2ContactID::Features
  • incidentVertex : b2ContactID::Features
  • Initialize() : b2PrismaticJointDef , b2PulleyJointDef , b2RevoluteJointDef , b2DistanceJointDef
  • IsBullet() : b2Body
  • isBullet : b2BodyDef
  • IsDynamic() : b2Body
  • IsFrozen() : b2Body
  • IsLimitEnabled() : b2RevoluteJoint , b2PrismaticJoint
  • IsMotorEnabled() : b2PrismaticJoint , b2RevoluteJoint
  • IsSensor() : b2Shape
  • isSensor : b2ShapeDef
  • IsSleeping() : b2Body
  • isSleeping : b2BodyDef
  • IsSolid() : b2Contact
  • IsStatic() : b2Body
  • IsValid() : b2Vec2 , b2AABB


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- p -

  • p1 : b2Segment
  • p2 : b2Segment
  • Persist() : b2ContactListener
  • pointCount : b2Manifold
  • points : b2Manifold
  • position : b2ContactPoint , b2ContactResult , b2BodyDef
  • prev : b2JointEdge , b2ContactEdge
  • PutToSleep() : b2Body


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- q -

  • Query() : b2World


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- r -

  • R : b2OBB
  • ratio : b2GearJointDef , b2PulleyJointDef
  • referenceAngle : b2PrismaticJointDef , b2RevoluteJointDef
  • referenceEdge : b2ContactID::Features
  • Refilter() : b2World
  • Remove() : b2ContactListener
  • restitution : b2ContactPoint , b2ShapeDef
  • Result() : b2ContactListener
  • revision : b2Version


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- s -

  • b2ShapeDef() : b2ShapeDef
  • SayGoodbye() : b2DestructionListener
  • separation : b2ContactPoint , b2ManifoldPoint
  • Set() : b2Vec2 , b2Mat22
  • SetAngularVelocity() : b2Body
  • SetAsBox() : b2PolygonDef
  • SetBoundaryListener() : b2World
  • SetBullet() : b2Body
  • SetContactFilter() : b2World
  • SetContactListener() : b2World
  • SetContinuousPhysics() : b2World
  • SetDebugDraw() : b2World
  • SetDestructionListener() : b2World
  • SetFilterData() : b2Shape
  • SetFlags() : b2DebugDraw
  • SetGravity() : b2World
  • SetIdentity() : b2Mat22 , b2XForm
  • SetLimits() : b2PrismaticJoint , b2RevoluteJoint
  • SetLinearVelocity() : b2Body
  • SetMass() : b2Body
  • SetMassFromShapes() : b2Body
  • SetMaxMotorForce() : b2PrismaticJoint
  • SetMaxMotorTorque() : b2RevoluteJoint
  • SetMotorSpeed() : b2RevoluteJoint , b2PrismaticJoint
  • SetPositionCorrection() : b2World
  • SetTarget() : b2MouseJoint
  • SetUserData() : b2Shape , b2Joint , b2Body
  • SetWarmStarting() : b2World
  • SetXForm() : b2Body
  • SetZero() : b2Vec2 , b2Mat22
  • shape1 : b2ContactPoint , b2ContactResult
  • shape2 : b2ContactResult , b2ContactPoint
  • ShouldCollide() : b2ContactFilter
  • Solve() : b2Mat22
  • Step() : b2World
  • Support() : b2PolygonShape


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- t -

  • t0 : b2Sweep
  • tangentImpulse : b2ManifoldPoint , b2ContactResult
  • target : b2MouseJointDef
  • TestPoint() : b2CircleShape , b2PolygonShape , b2Shape
  • TestSegment() : b2Shape , b2Segment , b2PolygonShape , b2CircleShape
  • timeStep : b2MouseJointDef
  • type : b2ShapeDef , b2JointDef


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- u -

  • upperAngle : b2RevoluteJointDef
  • upperBound : b2AABB
  • upperTranslation : b2PrismaticJointDef
  • userData : b2ShapeDef , b2BodyDef , b2JointDef


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- v -

  • b2Vec2() : b2Vec2
  • Validate() : b2World
  • velocity : b2ContactPoint
  • vertexCount : b2PolygonDef
  • vertices : b2PolygonDef
  • Violation() : b2BoundaryListener


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- w -

  • b2World() : b2World
  • WakeUp() : b2Body


Box2D: Class Members

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • u
  • v
  • w
  • x
  • ~

Here is a list of all documented class members with links to the class documentation for each member:

- x -

  • b2XForm() : b2XForm


Box2D: Class Members - Enumerator

  • All
  • Functions
  • Variables
  • Enumerator

  • e_aabbBit : b2DebugDraw
  • e_centerOfMassBit : b2DebugDraw
  • e_coreShapeBit : b2DebugDraw
  • e_jointBit : b2DebugDraw
  • e_obbBit : b2DebugDraw
  • e_pairBit : b2DebugDraw
  • e_shapeBit : b2DebugDraw


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- a -

  • Add() : b2ContactListener
  • Advance() : b2Sweep
  • AllowSleeping() : b2Body
  • AppendFlags() : b2DebugDraw
  • ApplyForce() : b2Body
  • ApplyImpulse() : b2Body
  • ApplyTorque() : b2Body


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- l -

  • Length() : b2Vec2
  • LengthSquared() : b2Vec2


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- m -

  • b2Mat22() : b2Mat22


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- n -

  • Normalize() : b2Vec2


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- o -

  • operator *=() : b2Vec2
  • operator+=() : b2Vec2
  • operator-() : b2Vec2
  • operator-=() : b2Vec2


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- ~ -

  • ~b2World() : b2World


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- b -

  • b2BodyDef() : b2BodyDef


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- c -

  • Centroid() : b2PolygonShape
  • ClearFlags() : b2DebugDraw
  • ComputeAABB() : b2PolygonShape , b2Shape , b2CircleShape
  • ComputeMass() : b2Shape , b2CircleShape , b2PolygonShape
  • ComputeSweptAABB() : b2CircleShape , b2PolygonShape , b2Shape
  • CreateBody() : b2World
  • CreateJoint() : b2World
  • CreateShape() : b2Body


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- d -

  • DestroyBody() : b2World
  • DestroyJoint() : b2World
  • DestroyShape() : b2Body
  • DrawCircle() : b2DebugDraw
  • DrawPolygon() : b2DebugDraw
  • DrawSegment() : b2DebugDraw
  • DrawSolidCircle() : b2DebugDraw
  • DrawSolidPolygon() : b2DebugDraw
  • DrawXForm() : b2DebugDraw


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- e -

  • EnableLimit() : b2PrismaticJoint , b2RevoluteJoint
  • EnableMotor() : b2PrismaticJoint , b2RevoluteJoint


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- g -

  • GetAnchor1() : b2DistanceJoint , b2GearJoint , b2MouseJoint , b2PrismaticJoint , b2Joint , b2PulleyJoint , b2RevoluteJoint
  • GetAnchor2() : b2DistanceJoint , b2GearJoint , b2Joint , b2MouseJoint , b2PrismaticJoint , b2PulleyJoint , b2RevoluteJoint
  • GetAngle() : b2Body , b2Mat22
  • GetAngularVelocity() : b2Body
  • GetBody() : b2Shape
  • GetBody1() : b2Joint
  • GetBody2() : b2Joint
  • GetBodyCount() : b2World
  • GetBodyList() : b2World
  • GetCentroid() : b2PolygonShape
  • GetContactCount() : b2World
  • GetCoreVertices() : b2PolygonShape
  • GetFilterData() : b2Shape
  • GetFirstVertex() : b2PolygonShape
  • GetFlags() : b2DebugDraw
  • GetFriction() : b2Shape
  • GetGroundAnchor1() : b2PulleyJoint
  • GetGroundAnchor2() : b2PulleyJoint
  • GetGroundBody() : b2World
  • GetInertia() : b2Body
  • GetJointAngle() : b2RevoluteJoint
  • GetJointCount() : b2World
  • GetJointList() : b2Body , b2World
  • GetJointSpeed() : b2PrismaticJoint , b2RevoluteJoint
  • GetJointTranslation() : b2PrismaticJoint
  • GetLength1() : b2PulleyJoint
  • GetLength2() : b2PulleyJoint
  • GetLinearVelocity() : b2Body
  • GetLinearVelocityFromLocalPoint() : b2Body
  • GetLinearVelocityFromWorldPoint() : b2Body
  • GetLocalCenter() : b2Body
  • GetLocalPoint() : b2Body
  • GetLocalPosition() : b2CircleShape
  • GetLocalVector() : b2Body
  • GetLowerLimit() : b2PrismaticJoint , b2RevoluteJoint
  • GetManifoldCount() : b2Contact
  • GetManifolds() : b2Contact
  • GetMass() : b2Body
  • GetMotorForce() : b2PrismaticJoint
  • GetMotorSpeed() : b2PrismaticJoint , b2RevoluteJoint
  • GetMotorTorque() : b2RevoluteJoint
  • GetNext() : b2Shape , b2Body , b2Contact , b2Joint
  • GetNormals() : b2PolygonShape
  • GetOBB() : b2PolygonShape
  • GetPairCount() : b2World
  • GetPosition() : b2Body
  • GetProxyCount() : b2World
  • GetRadius() : b2CircleShape
  • GetRatio() : b2GearJoint , b2PulleyJoint
  • GetReactionForce() : b2Joint , b2DistanceJoint , b2GearJoint , b2MouseJoint , b2PulleyJoint , b2RevoluteJoint , b2PrismaticJoint
  • GetReactionTorque() : b2PulleyJoint , b2PrismaticJoint , b2Joint , b2MouseJoint , b2RevoluteJoint , b2DistanceJoint , b2GearJoint
  • GetRestitution() : b2Shape
  • GetShape1() : b2Contact
  • GetShape2() : b2Contact
  • GetShapeList() : b2Body
  • GetSweepRadius() : b2Shape
  • GetType() : b2Joint , b2Shape
  • GetUpperLimit() : b2RevoluteJoint , b2PrismaticJoint
  • GetUserData() : b2Body , b2Joint , b2Shape
  • GetVertexCount() : b2PolygonShape
  • GetVertices() : b2PolygonShape
  • GetWorld() : b2Body
  • GetWorldCenter() : b2Body
  • GetWorldPoint() : b2Body
  • GetWorldVector() : b2Body
  • GetXForm() : b2Sweep , b2Body


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- i -

  • Initialize() : b2DistanceJointDef , b2PrismaticJointDef , b2RevoluteJointDef , b2PulleyJointDef
  • IsBullet() : b2Body
  • IsDynamic() : b2Body
  • IsFrozen() : b2Body
  • IsLimitEnabled() : b2PrismaticJoint , b2RevoluteJoint
  • IsMotorEnabled() : b2RevoluteJoint , b2PrismaticJoint
  • IsSensor() : b2Shape
  • IsSleeping() : b2Body
  • IsSolid() : b2Contact
  • IsStatic() : b2Body
  • IsValid() : b2Vec2 , b2AABB


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- p -

  • Persist() : b2ContactListener
  • PutToSleep() : b2Body


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- q -

  • Query() : b2World


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- r -

  • Refilter() : b2World
  • Remove() : b2ContactListener
  • Result() : b2ContactListener


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- s -

  • b2ShapeDef() : b2ShapeDef
  • SayGoodbye() : b2DestructionListener
  • Set() : b2Mat22 , b2Vec2
  • SetAngularVelocity() : b2Body
  • SetAsBox() : b2PolygonDef
  • SetBoundaryListener() : b2World
  • SetBullet() : b2Body
  • SetContactFilter() : b2World
  • SetContactListener() : b2World
  • SetContinuousPhysics() : b2World
  • SetDebugDraw() : b2World
  • SetDestructionListener() : b2World
  • SetFilterData() : b2Shape
  • SetFlags() : b2DebugDraw
  • SetGravity() : b2World
  • SetIdentity() : b2Mat22 , b2XForm
  • SetLimits() : b2PrismaticJoint , b2RevoluteJoint
  • SetLinearVelocity() : b2Body
  • SetMass() : b2Body
  • SetMassFromShapes() : b2Body
  • SetMaxMotorForce() : b2PrismaticJoint
  • SetMaxMotorTorque() : b2RevoluteJoint
  • SetMotorSpeed() : b2PrismaticJoint , b2RevoluteJoint
  • SetPositionCorrection() : b2World
  • SetTarget() : b2MouseJoint
  • SetUserData() : b2Joint , b2Body , b2Shape
  • SetWarmStarting() : b2World
  • SetXForm() : b2Body
  • SetZero() : b2Vec2 , b2Mat22
  • ShouldCollide() : b2ContactFilter
  • Solve() : b2Mat22
  • Step() : b2World
  • Support() : b2PolygonShape


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- t -

  • TestPoint() : b2CircleShape , b2PolygonShape , b2Shape
  • TestSegment() : b2CircleShape , b2Segment , b2PolygonShape , b2Shape


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- v -

  • b2Vec2() : b2Vec2
  • Validate() : b2World
  • Violation() : b2BoundaryListener


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- w -

  • b2World() : b2World
  • WakeUp() : b2Body


Box2D: Class Members - Functions

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • g
  • i
  • l
  • m
  • n
  • o
  • p
  • q
  • r
  • s
  • t
  • v
  • w
  • x
  • ~

- x -

  • b2XForm() : b2XForm


Box2D: Class Members - Variables

  • All
  • Functions
  • Variables
  • Enumerator
  • a
  • b
  • c
  • d
  • e
  • f
  • g
  • i
  • j
  • k
  • l
  • m
  • n
  • o
  • p
  • r
  • s
  • t
  • u
  • v

- a -

  • a : b2Sweep
  • allowSleep : b2BodyDef
  • angle : b2BodyDef
  • angularDamping : b2BodyDef

- b -

  • body1 : b2JointDef
  • body2 : b2JointDef

- c -

  • c : b2Sweep
  • categoryBits : b2FilterData
  • center : b2MassData , b2OBB
  • collideConnected : b2JointDef
  • contact : b2ContactEdge

- d -

  • dampingRatio : b2DistanceJointDef , b2MouseJointDef
  • density : b2ShapeDef

- e -

  • enableLimit : b2PrismaticJointDef , b2RevoluteJointDef
  • enableMotor : b2RevoluteJointDef , b2PrismaticJointDef
  • extents : b2OBB

- f -

  • filter : b2ShapeDef
  • fixedRotation : b2BodyDef
  • flip : b2ContactID::Features
  • frequencyHz : b2MouseJointDef , b2DistanceJointDef
  • friction : b2ShapeDef , b2ContactPoint

- g -

  • groundAnchor1 : b2PulleyJointDef
  • groundAnchor2 : b2PulleyJointDef
  • groupIndex : b2FilterData

- i -

  • I : b2MassData
  • id : b2ManifoldPoint , b2ContactResult , b2ContactPoint
  • incidentEdge : b2ContactID::Features
  • incidentVertex : b2ContactID::Features
  • isBullet : b2BodyDef
  • isSensor : b2ShapeDef
  • isSleeping : b2BodyDef

- j -

  • joint : b2JointEdge
  • joint1 : b2GearJointDef
  • joint2 : b2GearJointDef

- k -

  • key : b2ContactID

- l -

  • length : b2DistanceJointDef
  • length1 : b2PulleyJointDef
  • length2 : b2PulleyJointDef
  • linearDamping : b2BodyDef
  • localAnchor1 : b2RevoluteJointDef , b2DistanceJointDef , b2PrismaticJointDef , b2PulleyJointDef
  • localAnchor2 : b2DistanceJointDef , b2PrismaticJointDef , b2PulleyJointDef , b2RevoluteJointDef
  • localAxis1 : b2PrismaticJointDef
  • localCenter : b2Sweep
  • localPoint1 : b2ManifoldPoint
  • localPoint2 : b2ManifoldPoint
  • lowerAngle : b2RevoluteJointDef
  • lowerBound : b2AABB
  • lowerTranslation : b2PrismaticJointDef

- m -

  • major : b2Version
  • maskBits : b2FilterData
  • mass : b2MassData
  • massData : b2BodyDef
  • maxForce : b2MouseJointDef
  • maxLength1 : b2PulleyJointDef
  • maxLength2 : b2PulleyJointDef
  • maxMotorForce : b2PrismaticJointDef
  • maxMotorTorque : b2RevoluteJointDef
  • minor : b2Version
  • motorSpeed : b2RevoluteJointDef , b2PrismaticJointDef

- n -

  • next : b2ContactEdge , b2JointEdge
  • normal : b2ContactPoint , b2ContactResult , b2Manifold
  • normalImpulse : b2ContactResult , b2ManifoldPoint

- o -

  • other : b2ContactEdge , b2JointEdge

- p -

  • p1 : b2Segment
  • p2 : b2Segment
  • pointCount : b2Manifold
  • points : b2Manifold
  • position : b2ContactResult , b2BodyDef , b2ContactPoint
  • prev : b2JointEdge , b2ContactEdge

- r -

  • R : b2OBB
  • ratio : b2GearJointDef , b2PulleyJointDef
  • referenceAngle : b2PrismaticJointDef , b2RevoluteJointDef
  • referenceEdge : b2ContactID::Features
  • restitution : b2ContactPoint , b2ShapeDef
  • revision : b2Version

- s -

  • separation : b2ManifoldPoint , b2ContactPoint
  • shape1 : b2ContactResult , b2ContactPoint
  • shape2 : b2ContactResult , b2ContactPoint

- t -

  • t0 : b2Sweep
  • tangentImpulse : b2ManifoldPoint , b2ContactResult
  • target : b2MouseJointDef
  • timeStep : b2MouseJointDef
  • type : b2ShapeDef , b2JointDef

- u -

  • upperAngle : b2RevoluteJointDef
  • upperBound : b2AABB
  • upperTranslation : b2PrismaticJointDef
  • userData : b2ShapeDef , b2BodyDef , b2JointDef

- v -

  • velocity : b2ContactPoint
  • vertexCount : b2PolygonDef
  • vertices : b2PolygonDef


Box2D: File Index

  • File List
  • File Members

Box2D File List

Here is a list of all documented files with brief descriptions:
b2Collision.h | Structures and functions used for computing contact points, distance queries, and TOI queries
b2Settings.h | Global tuning constants based on meters-kilograms-seconds (MKS) units


Box2D: b2Collision.h File Reference

b2Collision.h File Reference

Structures and functions used for computing contact points, distance queries, and TOI queries. More...

Classes

union | b2ContactID
Contact ids to facilitate warm starting. More...
struct | b2ContactID::Features
The features that intersect to form the contact point. More...
struct | b2ManifoldPoint
A manifold point is a contact point belonging to a contact manifold. More...
struct | b2Manifold
A manifold for two touching convex shapes. More...
struct | b2Segment
A line segment. More...
struct | b2AABB
An axis aligned bounding box. More...
struct | b2OBB
An oriented bounding box. More...

Functions

void | b2CollideCircles (b2Manifold *manifold, const b2CircleShape *circle1, const b2XForm &xf1, const b2CircleShape *circle2, const b2XForm &xf2)
Compute the collision manifold between two circles.
void | b2CollidePolygonAndCircle (b2Manifold *manifold, const b2PolygonShape *polygon, const b2XForm &xf1, const b2CircleShape *circle, const b2XForm &xf2)
Compute the collision manifold between a polygon and a circle.
void | b2CollidePolygons (b2Manifold *manifold, const b2PolygonShape *polygon1, const b2XForm &xf1, const b2PolygonShape *polygon2, const b2XForm &xf2)
Compute the collision manifold between two circles.
float32 | b2Distance (b2Vec2 *x1, b2Vec2 *x2, const b2Shape *shape1, const b2XForm &xf1, const b2Shape *shape2, const b2XForm &xf2)
Compute the distance between two shapes and the closest points.
float32 | b2TimeOfImpact (const b2Shape *shape1, const b2Sweep &sweep1, const b2Shape *shape2, const b2Sweep &sweep2)
Compute the time when two shapes begin to touch or touch at a closer distance.

Detailed Description

Structures and functions used for computing contact points, distance queries, and TOI queries.

Function Documentation

float32 b2Distance | ( | b2Vec2 * | x1,
 |  | b2Vec2 * | x2,
 |  | const b2Shape * | shape1,
 |  | const b2XForm & | xf1,
 |  | const b2Shape * | shape2,
 |  | const b2XForm & | xf2
 | ) |  |

Compute the distance between two shapes and the closest points.

Returns:
the distance between the shapes or zero if they are overlapped/touching.

float32 b2TimeOfImpact | ( | const b2Shape * | shape1,
 |  | const b2Sweep & | sweep1,
 |  | const b2Shape * | shape2,
 |  | const b2Sweep & | sweep2
 | ) |  |

Compute the time when two shapes begin to touch or touch at a closer distance.

Warning:
the sweeps must have the same time interval.
Returns:
the fraction between [0,1] in which the shapes first touch. fraction=0 means the shapes begin touching/overlapped, and fraction=1 means the shapes don't touch.


Box2D: b2Settings.h File Reference

b2Settings.h File Reference

Global tuning constants based on meters-kilograms-seconds (MKS) units. More...

Classes

struct | b2Version
Version numbering scheme. More...

Functions

void * | b2Alloc (int32 size)
Implement this function to use your own memory allocator.
void | b2Free (void *mem)
If you implement b2Alloc, you should also implement this function.
float32 | b2MixFriction (float32 friction1, float32 friction2)
Friction mixing law. Feel free to customize this.
float32 | b2MixRestitution (float32 restitution1, float32 restitution2)
Restitution mixing law. Feel free to customize this.

Variables

const float32 | b2_linearSlop = 0.005f
A small length used as a collision and constraint tolerance.
const float32 | b2_angularSlop = 2.0f / 180.0f * b2_pi
A small angle used as a collision and constraint tolerance.
const float32 | b2_toiSlop = 8.0f * b2_linearSlop
Continuous collision detection (CCD) works with core, shrunken shapes.
const int32 | b2_maxTOIContactsPerIsland = 32
Maximum number of contacts to be handled to solve a TOI island.
const float32 | b2_velocityThreshold = 1.0f
A velocity threshold for elastic collisions.
const float32 | b2_maxLinearCorrection = 0.2f
The maximum linear position correction used when solving constraints.
const float32 | b2_maxAngularCorrection = 8.0f / 180.0f * b2_pi
The maximum angular position correction used when solving constraints.
const float32 | b2_maxLinearVelocity = 200.0f
The maximum linear velocity of a body.
const float32 | b2_maxAngularVelocity = 250.0f
The maximum angular velocity of a body.
const float32 | b2_contactBaumgarte = 0.2f
This scale factor controls how fast overlap is resolved.
const float32 | b2_timeToSleep = 0.5f
The time that a body must be still before it will go to sleep.
const float32 | b2_linearSleepTolerance = 0.01f
A body cannot sleep if its linear velocity is above this tolerance.
const float32 | b2_angularSleepTolerance = 2.0f / 180.0f
A body cannot sleep if its angular velocity is above this tolerance.
int32 | b2_byteCount
The current number of bytes allocated through b2Alloc.
b2Version b2_version
Current version.

Detailed Description

Global tuning constants based on meters-kilograms-seconds (MKS) units.

Variable Documentation

const float32 b2_angularSlop = 2.0f / 180.0f * b2_pi

A small angle used as a collision and constraint tolerance.

Usually it is chosen to be numerically significant, but visually insignificant.

const float32 b2_contactBaumgarte = 0.2f

This scale factor controls how fast overlap is resolved.

Ideally this would be 1 so that overlap is removed in one time step. However using values close to 1 often lead to overshoot.

const float32 b2_linearSlop = 0.005f

A small length used as a collision and constraint tolerance.

Usually it is chosen to be numerically significant, but visually insignificant.

const float32 b2_maxAngularCorrection = 8.0f / 180.0f * b2_pi

The maximum angular position correction used when solving constraints.

This helps to prevent overshoot.

const float32 b2_maxAngularVelocity = 250.0f

The maximum angular velocity of a body.

This limit is very large and is used to prevent numerical problems. You shouldn't need to adjust this.

const float32 b2_maxLinearCorrection = 0.2f

The maximum linear position correction used when solving constraints.

This helps to prevent overshoot.

const float32 b2_maxLinearVelocity = 200.0f

The maximum linear velocity of a body.

This limit is very large and is used to prevent numerical problems. You shouldn't need to adjust this.

const float32 b2_toiSlop = 8.0f * b2_linearSlop

Continuous collision detection (CCD) works with core, shrunken shapes.

This is the amount by which shapes are automatically shrunk to work with CCD. This must be larger than b2_linearSlop.

const float32 b2_velocityThreshold = 1.0f

A velocity threshold for elastic collisions.

Any collision with a relative linear velocity below this threshold will be treated as inelastic.


Box2D: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Variables
Here is a list of all documented file members with links to the documentation:

  • b2_angularSleepTolerance : b2Settings.h
  • b2_angularSlop : b2Settings.h
  • b2_byteCount : b2Settings.h
  • b2_contactBaumgarte : b2Settings.h
  • b2_linearSleepTolerance : b2Settings.h
  • b2_linearSlop : b2Settings.h
  • b2_maxAngularCorrection : b2Settings.h
  • b2_maxAngularVelocity : b2Settings.h
  • b2_maxLinearCorrection : b2Settings.h
  • b2_maxLinearVelocity : b2Settings.h
  • b2_maxTOIContactsPerIsland : b2Settings.h
  • b2_timeToSleep : b2Settings.h
  • b2_toiSlop : b2Settings.h
  • b2_velocityThreshold : b2Settings.h
  • b2_version : b2Settings.h
  • b2Alloc() : b2Settings.h
  • b2CollideCircles() : b2Collision.h
  • b2CollidePolygonAndCircle() : b2Collision.h
  • b2CollidePolygons() : b2Collision.h
  • b2Distance() : b2Collision.h
  • b2Free() : b2Settings.h
  • b2MixFriction() : b2Settings.h
  • b2MixRestitution() : b2Settings.h
  • b2TimeOfImpact() : b2Collision.h


Box2D: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Variables

  • b2Alloc() : b2Settings.h
  • b2CollideCircles() : b2Collision.h
  • b2CollidePolygonAndCircle() : b2Collision.h
  • b2CollidePolygons() : b2Collision.h
  • b2Distance() : b2Collision.h
  • b2Free() : b2Settings.h
  • b2MixFriction() : b2Settings.h
  • b2MixRestitution() : b2Settings.h
  • b2TimeOfImpact() : b2Collision.h


Box2D: Class Members

  • File List
  • File Members
  • All
  • Functions
  • Variables

  • b2_angularSleepTolerance : b2Settings.h
  • b2_angularSlop : b2Settings.h
  • b2_byteCount : b2Settings.h
  • b2_contactBaumgarte : b2Settings.h
  • b2_linearSleepTolerance : b2Settings.h
  • b2_linearSlop : b2Settings.h
  • b2_maxAngularCorrection : b2Settings.h
  • b2_maxAngularVelocity : b2Settings.h
  • b2_maxLinearCorrection : b2Settings.h
  • b2_maxLinearVelocity : b2Settings.h
  • b2_maxTOIContactsPerIsland : b2Settings.h
  • b2_timeToSleep : b2Settings.h
  • b2_toiSlop : b2Settings.h
  • b2_velocityThreshold : b2Settings.h
  • b2_version : b2Settings.h


Box2D: Alphabetical List

Box2D Class Index

A | B | C | D | F | G | J | M | O | P | R | S | V | W | X

A
b2ContactID b2GearJoint
O
S
b2AABB b2ContactID::Features b2GearJointDef b2OBB b2Segment
B
b2ContactListener
J
P
b2Shape
b2Body b2ContactPoint b2Joint b2PolygonDef b2ShapeDef
b2BodyDef b2ContactResult b2JointDef b2PolygonShape b2Sweep
b2BoundaryListener
D
b2JointEdge b2PrismaticJoint
V
C
b2DebugDraw
M
b2PrismaticJointDef b2Vec2
b2CircleDef b2DestructionListener b2Manifold b2PulleyJoint b2Version
b2CircleShape b2DistanceJoint b2ManifoldPoint b2PulleyJointDef
W
b2Color b2DistanceJointDef b2MassData
R
b2World
b2Contact
F
b2Mat22 b2RevoluteJoint
X
b2ContactEdge b2FilterData b2MouseJoint b2RevoluteJointDef b2XForm
b2ContactFilter
G
b2MouseJointDef

A | B | C | D | F | G | J | M | O | P | R | S | V | W | X